package more.ssaqms.xiamen.configuration;

import more.commons.utils.constant.StringPool;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.bind.annotation.RequestMethod;
import springfox.documentation.builders.*;
import springfox.documentation.schema.ModelRef;
import springfox.documentation.service.*;
import springfox.documentation.spi.DocumentationType;
import springfox.documentation.spi.service.contexts.SecurityContext;
import springfox.documentation.spring.web.plugins.Docket;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

import java.util.ArrayList;
import java.util.List;

@Configuration
@EnableSwagger2
//@Profile({"dev", "test"})
public class Swagger2Config {

    @Bean
    public Docket createRestApi() {
//        //局部token配置
//        ParameterBuilder tokenPar = new ParameterBuilder();
//        List<Parameter> pars = new ArrayList<Parameter>();
//        tokenPar.name(StringPool.TOKEN).description("AccessToken令牌").modelRef(new ModelRef("string")).parameterType("header").required(false).build();
//        pars.add(tokenPar.build());
//        List<ResponseMessage> customerResponseMessages = getCustomerResponseMessages();

        return new Docket(DocumentationType.SWAGGER_2)
                .useDefaultResponseMessages(false)
                .apiInfo(apiInfo())
                .select()
//                .apis(RequestHandlerSelectors.basePackage("more.commons"))
                .apis(RequestHandlerSelectors.basePackage("more"))
                .paths(PathSelectors.any())
                .build();

//                //局部token配置
//                .globalResponseMessage(RequestMethod.GET, customerResponseMessages)
//                .globalResponseMessage(RequestMethod.POST, customerResponseMessages)
//                .globalResponseMessage(RequestMethod.PUT, customerResponseMessages)
//                .globalResponseMessage(RequestMethod.DELETE, customerResponseMessages)
//                .globalOperationParameters(pars)
//
//                //全局token配置
//                .securitySchemes(securitySchemes())
//                .securityContexts(securityContexts());
    }


    private ApiInfo apiInfo() {
        return new ApiInfoBuilder()
                .title("报告服务")
//                .contact(new Contact("Purpose.zhao", "", ""))
                .version("1.0.0")
//				.description("API接口描述")
                .build();
    }


    private List<ApiKey> securitySchemes() {
        List<ApiKey> apiKeyList= new ArrayList<>();
        apiKeyList.add(new ApiKey(StringPool.TOKEN, StringPool.TOKEN, "header"));
        return apiKeyList;
    }

    private List<SecurityContext> securityContexts() {
        List<SecurityContext> securityContexts=new ArrayList<>();
        securityContexts.add(
                SecurityContext.builder()
                        .securityReferences(defaultAuth())
                        .forPaths(PathSelectors.regex("^(?!auth).*$"))
                        .build());
        return securityContexts;
    }

    private List<SecurityReference> defaultAuth() {
        AuthorizationScope authorizationScope = new AuthorizationScope("global", "accessEverything");
        AuthorizationScope[] authorizationScopes = new AuthorizationScope[1];
        authorizationScopes[0] = authorizationScope;
        List<SecurityReference> securityReferences=new ArrayList<>();
        securityReferences.add(new SecurityReference(StringPool.TOKEN, authorizationScopes));
        return securityReferences;
    }


    private List<ResponseMessage> getCustomerResponseMessages() {
        List<ResponseMessage> list = new ArrayList<ResponseMessage>();
        list.add(new ResponseMessageBuilder().code(0).message("请求成功").build());
        list.add(new ResponseMessageBuilder().code(201).message("没有登录信息").build());
        return list;
    }
}
