package more.ssaqms.xiamen.configuration;

import com.alibaba.fastjson.JSON;
import more.commons.utils.response.ResponseResult;
import more.ssaqms.xiamen.util.DesCipherUtil;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.servlet.HandlerInterceptor;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Calendar;

/**
 * 内部传输拦截校验
 * @author zuo
 * @date 2022/12/9 17:39
 */

@Component
@CrossOrigin
public class TransmissionInterceptor implements HandlerInterceptor {

    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) throws Exception {
        //获取请求头部信息
        String sign = request.getHeader("sign");
        if (sign!=null) {
            try {
                String encrypt = DesCipherUtil.decrypt(sign, "M0RE.VTG3#TR4sAgXg3Z%##WZG4ZQ@GZ$wdqF");
//                String encrypt = DesCipherUtil.decrypt(sign, "D5A574A9");


                Long time = Long.valueOf(encrypt.substring(3, 13));
                Calendar ca = Calendar.getInstance();
                ca.add(Calendar.SECOND,-300);
                long minTime = ca.getTime().getTime() / 1000;
                ca.add(Calendar.SECOND,600);
                long maxTime = ca.getTime().getTime() / 1000;
                if (minTime > time || time > maxTime){
                    doResponse(response,"sign already expired！");
                    return false;
                }

                if (!encrypt.contains("918170978046845723")){
                    doResponse(response,"Invalid sign！");
                    return false;
                }
                return true;
            } catch (Exception e){
                doResponse(response,"Invalid sign！");
                return false;
            }
        }
        doResponse(response,"sign already expired！");
        return false;
    }

    public void doResponse(HttpServletResponse response,String info) throws IOException {
        response.setContentType("application/json");
        response.setCharacterEncoding("utf-8");
        PrintWriter writer = response.getWriter();
//        ResponseEntity<String> responseEntity=new ResponseEntity<>(info, HttpStatus.NOT_ACCEPTABLE);
        String json = JSON.toJSONString(ResponseResult.error(info));
        writer.write(json);
        writer.flush();
        writer.close();
    }
}
