package more.ssaqms.xiamen.handler;

import more.ssaqms.xiamen.model.report.ReportEffectiveColumn;
import more.ssaqms.xiamen.model.report.ReportEffectiveFactorTypeEnum;
import more.ssaqms.xiamen.model.report.TimeRange;
import org.springframework.stereotype.Component;

import java.util.Calendar;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

/**
 * @author purpose
 * @version 1.0
 * @date 2023/5/4 11:09 上午
 */
@Component
public class ReportDataUtil {

    public static Map<Long, ReportEffectiveColumn> deviceCategoryColumnMap = new HashMap<>();
    public static Map<String, ReportEffectiveColumn> factorCategoryColumnMap = new HashMap<>();

    static {
        deviceCategoryColumnMap.put(8L, new ReportEffectiveColumn(2, "NOx", ReportEffectiveFactorTypeEnum.NORMAL));
        factorCategoryColumnMap.put("1001", new ReportEffectiveColumn(3, "SO₂", ReportEffectiveFactorTypeEnum.NORMAL));
        factorCategoryColumnMap.put("1005", new ReportEffectiveColumn(4, "CO", ReportEffectiveFactorTypeEnum.NORMAL));
        factorCategoryColumnMap.put("1006", new ReportEffectiveColumn(5, "O₃", ReportEffectiveFactorTypeEnum.NORMAL));
        factorCategoryColumnMap.put("1007", new ReportEffectiveColumn(6, "PM₁₀", ReportEffectiveFactorTypeEnum.NORMAL));
        factorCategoryColumnMap.put("1008", new ReportEffectiveColumn(7, "PM₂.₅", ReportEffectiveFactorTypeEnum.NORMAL));
        deviceCategoryColumnMap.put(128L, new ReportEffectiveColumn(8, "气象", ReportEffectiveFactorTypeEnum.OTHER));
        deviceCategoryColumnMap.put(4096L, new ReportEffectiveColumn(9, "NMHC", ReportEffectiveFactorTypeEnum.NMHC));
        factorCategoryColumnMap.put("1019", new ReportEffectiveColumn(10, "CO₂", ReportEffectiveFactorTypeEnum.OTHER));
        factorCategoryColumnMap.put("1075", new ReportEffectiveColumn(11, "负氧离子", ReportEffectiveFactorTypeEnum.OTHER));
        deviceCategoryColumnMap.put(512L, new ReportEffectiveColumn(12, "VOCs", ReportEffectiveFactorTypeEnum.VOCs));
    }

    public static TimeRange getMonthTimeRange(Date date) {
        Calendar ca = Calendar.getInstance();
        ca.setTime(date);
        ca.set(Calendar.DAY_OF_MONTH, 1);
        ca.set(Calendar.HOUR_OF_DAY, 0);
        ca.set(Calendar.MINUTE, 0);
        ca.set(Calendar.SECOND, 0);
        ca.set(Calendar.MILLISECOND, 0);
        Date beginTime = ca.getTime();
        ca.set(Calendar.DAY_OF_MONTH, ca.getActualMaximum(Calendar.DAY_OF_MONTH));
        ca.set(Calendar.HOUR_OF_DAY, 23);
        ca.set(Calendar.MINUTE, 59);
        ca.set(Calendar.SECOND, 59);
        Date endTime = ca.getTime();

        return new TimeRange(beginTime, endTime);
    }
}
