package more.ssaqms.xiamen.handler.day.good;

import com.baomidou.mybatisplus.core.toolkit.IdWorker;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import more.ssaqms.xiamen.model.data.HistoricalData;
import more.ssaqms.xiamen.model.download.NmcData;
import more.ssaqms.xiamen.model.reachGood.ReachGoodWeatherData;
import more.ssaqms.xiamen.model.reachGood.WeatherQx;
import more.ssaqms.xiamen.model.report.TimeRange;
import more.ssaqms.xiamen.util.FileUtils;
import more.ssaqms.xiamen.util.RestTemplateUtils;
import org.apache.commons.lang3.time.DateFormatUtils;
import org.springframework.stereotype.Component;

import java.util.*;

import static more.ssaqms.xiamen.util.MonthReportUtils.*;

/**
 * @author zuo
 * @date 2023/6/16 9:53
 */
@Component
public class ReachGoodChapter2 {

    public String html(TimeRange dayTimeRange, ReachGoodWeatherData weatherData, String chartUrl, String path, Map<String, Integer> countMap) {
        Integer imageCount = countMap.get("imageCount");
        Integer tableCount = countMap.get("tableCount");
        Date beginTime = dayTimeRange.getBeginTime();


        StringBuilder sb = new StringBuilder();
        sb.append(headline1("二、气象条件"));
        sb.append(headline2("2.1 天气形势分析"));
        sb.append(textPart("从海平面天气形势图来看，" + DateFormatUtils.format(beginTime, "MM月dd日") + "我市XXXX。"));

        List<NmcData> nmcDMDataList = weatherData.getNmcDMDataList();
        List<List<String>> lists = new ArrayList<>();
        for (int i = 0; i < nmcDMDataList.size(); i++) {
            NmcData nmcData = nmcDMDataList.get(i);
            String pathDM = nmcData.getPath();
            Date time = nmcData.getTime();
            String fileName = IdWorker.getIdStr() + ".jpg";
            String wordImagePath = "image/" + fileName;
            Boolean b = FileUtils.imageWatermark(pathDM, DateFormatUtils.format(time, "HH时"), path + fileName);
            if (b) {
                if (i % 2 == 0) {
                    lists.add(new ArrayList<>());
                }
                int j = i / 2;
                lists.get(j).add(wordImagePath);
            }
        }

        for (List<String> list : lists) {
            int size = list.size();
            if (2 == size) {
                String path1 = list.get(0);
                String path2 = list.get(1);
                sb.append(imageTwo(path1, path2, null, null));
            } else if (1 == size) {
                String path1 = list.get(0);
                sb.append(image(path1, null, null));
            }
        }
        sb.append(textCenter("图" + imageCount++ + " " + DateFormatUtils.format(beginTime, "yyyy年MM月dd日") + "海平面天气形势图"));

        sb.append(textPart("从500hPa天气形势图来看，" + DateFormatUtils.format(beginTime, "MM月dd日") + "我市XXXX。"));
        List<NmcData> nmc500hPaDataList = weatherData.getNmc500hPaDataList();
        List<List<String>> list500hPas = new ArrayList<>();
        for (int i = 0; i < nmc500hPaDataList.size(); i++) {
            NmcData nmcData = nmc500hPaDataList.get(i);
            String pathDM = nmcData.getPath();
            Date time = nmcData.getTime();
            String fileName = IdWorker.getIdStr() + ".jpg";
            String wordImagePath = "image/" + fileName;
            Boolean b = FileUtils.imageWatermark(pathDM, DateFormatUtils.format(time, "HH时"), path + fileName);
            if (b) {
                if (i % 2 == 0) {
                    list500hPas.add(new ArrayList<>());
                }
                int j = i / 2;
                list500hPas.get(j).add(wordImagePath);
            }
        }

        for (List<String> list : list500hPas) {
            int size = list.size();
            if (2 == size) {
                String path1 = list.get(0);
                String path2 = list.get(1);
                sb.append(imageTwo(path1, path2, null, null));
            } else if (1 == size) {
                String path1 = list.get(0);
                sb.append(image(path1, null, null));
            }
        }
        sb.append(textCenter("图" + imageCount++ + " " + DateFormatUtils.format(beginTime, "yyyy年MM月dd日") + "500hPa天气形势图"));

        sb.append(headline2("2.2 气象要素分析"));

        String tq = weatherData.getTq();
        List<WeatherQx> weatherQxList = weatherData.getWeatherQxList();
        Map<String, WeatherQx> qxMap = new HashMap<>();
        for (WeatherQx weatherQx : weatherQxList) {
            String factorId = weatherQx.getFactorId();
            qxMap.put(factorId, weatherQx);
        }
        WeatherQx wd = qxMap.getOrDefault("1010", new WeatherQx());
        WeatherQx sd = qxMap.getOrDefault("1011", new WeatherQx());
        WeatherQx ws = qxMap.getOrDefault("1012", new WeatherQx());
        WeatherQx qy = qxMap.getOrDefault("1014", new WeatherQx());

        String wdString = weatherData.getWdString();
        sb.append(textPart(DateFormatUtils.format(beginTime, "MM月dd日") + "厦门市天气为" + (StringUtils.isBlank(tq) ? "XX" : tq) +
                "。大气超级站气象数据显示，" + DateFormatUtils.format(beginTime, "dd日") +
                "气温分布在" + (Objects.isNull(wd.getMinValue()) ? "XX" : wd.getMinValue()) + "~" + (Objects.isNull(wd.getMaxValue()) ? "XX" : wd.getMaxValue()) + "℃之间，平均气温" + (Objects.isNull(wd.getAvgValue()) ? "XX" : wd.getAvgValue()) + "℃；" +
                "相对湿度在" + (Objects.isNull(sd.getMinValue()) ? "XX" : sd.getMinValue()) + "~" + (Objects.isNull(sd.getMaxValue()) ? "XX" : sd.getMaxValue()) + "%之间，平均湿度" + (Objects.isNull(sd.getAvgValue()) ? "XX" : sd.getAvgValue()) + "%；" +
                "气压在" + (Objects.isNull(qy.getMinValue()) ? "XX" : qy.getMinValue()) + "~" + (Objects.isNull(qy.getMaxValue()) ? "XX" : qy.getMaxValue()) + "hPa之间；" +
                "小时风速在" + (Objects.isNull(ws.getMinValue()) ? "XX" : ws.getMinValue()) + "~" + (Objects.isNull(ws.getMaxValue()) ? "XX" : ws.getMaxValue()) + "m/s之间，平均风速" + (Objects.isNull(ws.getAvgValue()) ? "XX" : ws.getAvgValue()) + "m/s，" +
                "超站风向以" + (StringUtils.isBlank(wdString) ? "XX风" : wdString) + "为主。扩散条件XX，有利于污染物的扩散。"));


        Map<String, Object> imageMap = weatherData.getWeatherChartMap();
        imageMap.put("width", 600);
        imageMap.put("height", 225);
        String imageBase64 = RestTemplateUtils.getHistogram(chartUrl + "/chart/xy", imageMap);
        String fileName = IdWorker.getIdStr() + ".jpg";
        String wordImagePath = "image/" + fileName;
        FileUtils.GenerateImage(imageBase64.substring(imageBase64.indexOf("base64,") + 7), path, fileName);
        sb.append(image(wordImagePath, null, null));
        sb.append(textCenter("图" + imageCount++ + " " + DateFormatUtils.format(beginTime, "yyyy年MM月dd日") + "气象参数时间序列"));

        sb.append(textCenter("表" + tableCount++ + " " + DateFormatUtils.format(beginTime, "yyyy年MM月dd日") + "气象参数最大值、最小值、平均值统计表"));
        StringBuilder trStr = new StringBuilder();
        StringBuilder tdBuffer = new StringBuilder();
        tdBuffer.append(overstrikingTd(1, 1, "参数"));
        tdBuffer.append(overstrikingTd(1, 1, "温度(℃)"));
        tdBuffer.append(overstrikingTd(1, 1, "湿度(%)"));
        tdBuffer.append(overstrikingTd(1, 1, "气压(kpa)"));
        tdBuffer.append(overstrikingTd(1, 1, "风速(m/s)"));
        trStr.append(tr(tdBuffer.toString()));
        tdBuffer = new StringBuilder();
        tdBuffer.append(overstrikingTd(1, 1, "最小值"));
        tdBuffer.append(overstrikingTd(1, 1, Objects.isNull(wd.getMinValue()) ? "-" : wd.getMinValue()));
        tdBuffer.append(overstrikingTd(1, 1, Objects.isNull(sd.getMinValue()) ? "-" : sd.getMinValue()));
        tdBuffer.append(overstrikingTd(1, 1, Objects.isNull(qy.getMinValue()) ? "-" : qy.getMinValue()));
        tdBuffer.append(overstrikingTd(1, 1, Objects.isNull(ws.getMinValue()) ? "-" : ws.getMinValue()));
        trStr.append(tr(tdBuffer.toString()));
        tdBuffer = new StringBuilder();
        tdBuffer.append(overstrikingTd(1, 1, "最大值"));
        tdBuffer.append(overstrikingTd(1, 1, Objects.isNull(wd.getMaxValue()) ? "-" : wd.getMaxValue()));
        tdBuffer.append(overstrikingTd(1, 1, Objects.isNull(sd.getMaxValue()) ? "-" : sd.getMaxValue()));
        tdBuffer.append(overstrikingTd(1, 1, Objects.isNull(qy.getMaxValue()) ? "-" : qy.getMaxValue()));
        tdBuffer.append(overstrikingTd(1, 1, Objects.isNull(ws.getMaxValue()) ? "-" : ws.getMaxValue()));
        trStr.append(tr(tdBuffer.toString()));
        tdBuffer = new StringBuilder();
        tdBuffer.append(overstrikingTd(1, 1, "平均值"));
        tdBuffer.append(overstrikingTd(1, 1, Objects.isNull(wd.getAvgValue()) ? "-" : wd.getAvgValue()));
        tdBuffer.append(overstrikingTd(1, 1, Objects.isNull(sd.getAvgValue()) ? "-" : sd.getAvgValue()));
        tdBuffer.append(overstrikingTd(1, 1, Objects.isNull(qy.getAvgValue()) ? "-" : qy.getAvgValue()));
        tdBuffer.append(overstrikingTd(1, 1, Objects.isNull(ws.getAvgValue()) ? "-" : ws.getAvgValue()));
        trStr.append(tr(tdBuffer.toString()));
        sb.append(table(trStr.toString()));

        //2.3光化学反应条件分析
        sb.append(headline2("2.3光化学反应条件分析"));
        Map<String, HistoricalData> photochemistryMaxMap = weatherData.getPhotochemistryMaxMap();
        HistoricalData gj = photochemistryMaxMap.getOrDefault("6600", new HistoricalData());
        HistoricalData pans = photochemistryMaxMap.getOrDefault("6001", new HistoricalData());
        HistoricalData zyx = photochemistryMaxMap.getOrDefault("1018", new HistoricalData());
        sb.append(textPart("光化学参数图显示，" + DateFormatUtils.format(beginTime, "MM月dd日") +
                "紫外线指数于" + (Objects.isNull(zyx.getDataTime()) ? "XX时" : DateFormatUtils.format(zyx.getDataTime(), "HH时")) + "达到峰值" + (Objects.isNull(zyx.getValue()) ? "XX" : zyx.getValue()) + "W/m²，" +
                "光解速率于" + (Objects.isNull(gj.getDataTime()) ? "XX时" : DateFormatUtils.format(gj.getDataTime(), "HH时")) + "达到峰值" + (Objects.isNull(gj.getValue()) ? "XX" : gj.getValue()) + "s⁻¹，" +
                "PANs于" + (Objects.isNull(pans.getDataTime()) ? "XX时" : DateFormatUtils.format(pans.getDataTime(), "HH时")) + "达到峰值浓度" + (Objects.isNull(pans.getValue()) ? "XX" : pans.getValue()) + "μg/m³。" +
                "光化学条件XX，有利于XXX。"));

        imageMap = weatherData.getPhotochemistryChartMap();
        imageMap.put("width", 600);
        imageMap.put("height", 225);
        imageBase64 = RestTemplateUtils.getHistogram(chartUrl + "/chart/xy", imageMap);
        fileName = IdWorker.getIdStr() + ".jpg";
        wordImagePath = "image/" + fileName;
        FileUtils.GenerateImage(imageBase64.substring(imageBase64.indexOf("base64,") + 7), path, fileName);
        sb.append(image(wordImagePath, null, null));
        sb.append(textCenter("图" + imageCount++ + " 厦门超站紫外辐射、PANs、光解速率时序图"));
        countMap.put("imageCount", imageCount);
        countMap.put("tableCount", tableCount);
        return sb.toString();
    }


    public String textPart(String text) {
        return "<p style=\"margin: 0px; text-indent: 2em; line-height: 1.1;\">" +
                "<span style=\"font-size: 16pt; font-family: 仿宋_GB2312, SimSun;\">" + text + "</span>\n" +
                "</p>";
    }

    public String headline2(String text) {
        return "<h2 style=\"margin: 0px; text-indent: 2em; line-height: 1.5;\">" +
                "<span>" +
                "<strong style=\"font-size: 16pt; font-family: 黑体, SimSun;\">" + text + "</strong>" +
                "</span>" +
                "</h2>";
    }

    public String headline1(String text) {
        return "<h1 style=\"margin: 0px; text-indent: 2em; line-height: 1.5;\">" +
                "<span>" +
                "<strong style=\"font-size: 16pt; font-family: 黑体, SimSun;\">" + text + "</strong>" +
                "</span>" +
                "</h1>";
    }

    /**
     * 图片
     *
     * @param width  宽
     * @param height 高
     * @return
     */
    public static String imageTwo(String path1, String path2, Double width, Double height) {
        String widthStr = "";
        if (!Objects.isNull(width)) widthStr = "width:" + width + "in;";
        if (Objects.isNull(height)) height = 2.34375;
        return "<p style=\"text-align:center;\">" +
                "<img src=\"" + path1 + "\" style=\"" + widthStr + "height:" + height + "in;vertical-align:text-align：center;\" />" +
                "<img src=\"" + path2 + "\" style=\"" + widthStr + "height:" + height + "in;vertical-align:text-align：center;\" />" +
                "</p>";
    }

    /**
     * 图片
     *
     * @param width  宽
     * @param height 高
     * @return
     */
    public static String image(String path, Double width, Double height) {
        String widthStr = "";
        if (!Objects.isNull(width)) widthStr = "width:" + width + "in;";
        if (Objects.isNull(height)) height = 2.34375;
        return "<p style=\"text-align:center;\">" +
                "<img src=\"" + path + "\" style=\"" + widthStr + "height:" + height + "in;vertical-align:text-align：center;\" />" +
                "</p>";
    }

}
