package more.ssaqms.xiamen.handler.day.good;

import com.baomidou.mybatisplus.core.toolkit.IdWorker;
import more.ssaqms.xiamen.model.reachGood.ReachGoodLidarData;
import more.ssaqms.xiamen.model.report.TimeRange;
import more.ssaqms.xiamen.model.supper.LidarData;
import more.ssaqms.xiamen.util.FileUtils;
import more.ssaqms.xiamen.util.RestTemplateUtils;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.Map;
import java.util.Objects;

import static more.ssaqms.xiamen.util.MonthReportUtils.textCenter;

/**
 * @author zuo
 * @date 2023/6/16 9:53
 */
@Component
public class ReachGoodChapter5 {

    public String html(TimeRange dayTimeRange, String chartUrl, String path, Map<String, Integer> countMap, ReachGoodLidarData lidarData) {
        Integer imageCount = countMap.get("imageCount");
        Integer tableCount = countMap.get("tableCount");
        Date beginTime = dayTimeRange.getBeginTime();

        StringBuilder sb = new StringBuilder();
        sb.append(headline1("五、传输分析"));
        sb.append(headline2("5.1 激光雷达垂直探测"));
        sb.append(textPart("从臭氧雷达图可知，XX-XX时高空XXkm可见臭氧的高空传输及残留；XX-XX时XXkm以下臭氧反演浓度显著增大，对应臭氧本地生成及地面传输时段。"));

        Map<String, Object> imageMap = lidarData.getChartDataExtinctionCy();
        imageMap.put("width", 1200);
        imageMap.put("height", 450);
        String imageBase64 = RestTemplateUtils.getHistogram(chartUrl + "/chart/lidar-chart-v2", imageMap);
        String fileName = IdWorker.getIdStr() + ".jpg";
        String wordImagePath = "image/" + fileName;
        FileUtils.GenerateImage(imageBase64.substring(imageBase64.indexOf("base64,") + 7), path, fileName);
        sb.append(image(wordImagePath, null, null));

        imageMap = lidarData.getChartDataDepolarizationCy();
        imageMap.put("width", 1200);
        imageMap.put("height", 450);
        imageBase64 = RestTemplateUtils.getHistogram(chartUrl + "/chart/lidar-chart-v2", imageMap);
        fileName = IdWorker.getIdStr() + ".jpg";
        wordImagePath = "image/" + fileName;
        FileUtils.GenerateImage(imageBase64.substring(imageBase64.indexOf("base64,") + 7), path, fileName);
        sb.append(image(wordImagePath, null, null));
        sb.append(textCenter("图" + imageCount++ + " 臭氧雷达臭氧浓度和消光系数"));

        sb.append(textPart("从颗粒物雷达图可知，XX-XX时XXkm以下高空消光系数显著增大，表明本地受细颗粒物影响；XX-XX时XXkm以下消光系数处于低值，退偏值升高，表明近地面粗颗粒物浓度增大；" +
                "XX-XX时XXkm以下退偏值显著增大，对应沙尘传输时段，XX-XX时高空XXkm以上可见沙尘的高空传输；XX-XX时XXkm以下消光系数突增，对应地面细颗粒物浓度的突增。"));
        imageMap = lidarData.getChartDataExtinction();
        imageMap.put("width", 1200);
        imageMap.put("height", 450);
        imageBase64 = RestTemplateUtils.getHistogram(chartUrl + "/chart/lidar-chart-v2", imageMap);
        fileName = IdWorker.getIdStr() + ".jpg";
        wordImagePath = "image/" + fileName;
        FileUtils.GenerateImage(imageBase64.substring(imageBase64.indexOf("base64,") + 7), path, fileName);
        sb.append(image(wordImagePath, null, null));

        imageMap = lidarData.getChartDataDepolarization();
        imageMap.put("width", 1200);
        imageMap.put("height", 450);
        imageBase64 = RestTemplateUtils.getHistogram(chartUrl + "/chart/lidar-chart-v2", imageMap);
        fileName = IdWorker.getIdStr() + ".jpg";
        wordImagePath = "image/" + fileName;
        FileUtils.GenerateImage(imageBase64.substring(imageBase64.indexOf("base64,") + 7), path, fileName);
        sb.append(image(wordImagePath, null, null));
        sb.append(textCenter("图" + imageCount++ + " 颗粒物雷达消光系数和退偏振比"));


        countMap.put("imageCount", imageCount);
        countMap.put("tableCount", tableCount);
        return sb.toString();
    }


    public String textPart(String text) {
        return "<p style=\"margin: 0px; text-indent: 2em; line-height: 1.1;\">" +
                "<span style=\"font-size: 16pt; font-family: 仿宋_GB2312, SimSun;\">" + text + "</span>\n" +
                "</p>";
    }

    public String headline2(String text) {
        return "<h2 style=\"margin: 0px; text-indent: 2em; line-height: 1.5;\">" +
                "<span>" +
                "<strong style=\"font-size: 16pt; font-family: 黑体, SimSun;\">" + text + "</strong>" +
                "</span>" +
                "</h2>";
    }

    public String headline1(String text) {
        return "<h1 style=\"margin: 0px; text-indent: 2em; line-height: 1.5;\">" +
                "<span>" +
                "<strong style=\"font-size: 16pt; font-family: 黑体, SimSun;\">" + text + "</strong>" +
                "</span>" +
                "</h1>";
    }

    /**
     * 图片
     *
     * @param width  宽
     * @param height 高
     * @return
     */
    public static String imageTwo(String path1, String path2, Double width, Double height) {
        String widthStr = "";
        if (!Objects.isNull(width)) widthStr = "width:" + width + "in;";
        if (Objects.isNull(height)) height = 2.34375;
        return "<p style=\"text-align:center;\">" +
                "<img src=\"" + path1 + "\" style=\"" + widthStr + "height:" + height + "in;vertical-align:text-align：center;\" />" +
                "<img src=\"" + path2 + "\" style=\"" + widthStr + "height:" + height + "in;vertical-align:text-align：center;\" />" +
                "</p>";
    }

    /**
     * 图片
     *
     * @param width  宽
     * @param height 高
     * @return
     */
    public static String image(String path, Double width, Double height) {
        String widthStr = "";
        if (!Objects.isNull(width)) widthStr = "width:" + width + "in;";
        if (Objects.isNull(height)) height = 2.34375;
        return "<p style=\"text-align:center;\">" +
                "<img src=\"" + path + "\" style=\"" + widthStr + "height:" + height + "in;vertical-align:text-align：center;\" />" +
                "</p>";
    }

}
