package more.ssaqms.xiamen.handler.day.good;

import more.ssaqms.xiamen.model.reachGood.*;
import more.ssaqms.xiamen.model.report.BasicInformation;
import more.ssaqms.xiamen.model.report.TimeRange;
import more.ssaqms.xiamen.model.supper.LidarData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

@Component
public class ReachGoodReport {

    @Value("${cloud.report.chart.url}")
    private String chartUrl;

    @Autowired
    private ReachGoodChapter chapter;

    @Autowired
    private ReachGoodChapter1 chapter1;

    @Autowired
    private ReachGoodChapter2 chapter2;

    @Autowired
    private ReachGoodChapter3 chapter3;

    @Autowired
    private ReachGoodChapter4 chapter4;

    @Autowired
    private ReachGoodChapter5 chapter5;

    @Autowired
    private ReachGoodChapter6 chapter6;

    @Transactional
    public Map<String, Object> creatDayHtmlReport(ReachGoodInput input, String path) {
        path = path + "/image/";
        //序号，0位图，1为表
        Map<String, Integer> countMap = new HashMap<>();
        countMap.put("imageCount", 1);
        countMap.put("tableCount", 1);
        TimeRange dayTimeRange = ReachGoodReportDataUtil.getDayTimeRange(input.getDate());

        HashMap<String, Object> map = new HashMap<>();

        String chapter = this.chapter.html(dayTimeRange);

        String chapter1 = this.chapter1.html(dayTimeRange, input.getAqiData(), chartUrl, path, countMap);

        String chapter2 = this.chapter2.html(dayTimeRange, input.getWeatherData(), chartUrl, path, countMap);

        String chapter3 = this.chapter3.html(dayTimeRange, chartUrl, path, countMap, input.getVocData());

        String chapter4 = this.chapter4.html(dayTimeRange, chartUrl, path, countMap, input.getParticleData());

        String chapter5 = this.chapter5.html(dayTimeRange, chartUrl, path, countMap, input.getLidarData());

        String chapter6 = this.chapter6.html(dayTimeRange, input.getAqiData(), input.getWeatherData(), input.getVocData(), input.getParticleData());
        map.put("html", chapter + chapter1 + chapter2 + chapter3 + chapter4 + chapter5 + chapter6);
        return map;
    }
}
