package more.ssaqms.xiamen.handler.day.good;

import more.ssaqms.xiamen.model.region.Region;
import more.ssaqms.xiamen.model.report.TimeRange;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.util.Calendar;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

@Component
public class ReachGoodReportDataUtil {

    public static Map<Integer, String> pollutionGradeMap = new HashMap<>();
    public static Map<String, String> FACTOR_NAME_MAPPING = new HashMap<>();

    static {
        pollutionGradeMap.put(1, "优");
        pollutionGradeMap.put(2, "良");
        pollutionGradeMap.put(3, "轻度污染");
        pollutionGradeMap.put(4, "中度污染");
        pollutionGradeMap.put(5, "重度污染");
        pollutionGradeMap.put(6, "严重污染");

        FACTOR_NAME_MAPPING.put("SO2", "SO₂");
        FACTOR_NAME_MAPPING.put("NOX", "NO᙮");
        FACTOR_NAME_MAPPING.put("NO2", "NO₂");
        FACTOR_NAME_MAPPING.put("O3", "O₃");
        FACTOR_NAME_MAPPING.put("PM10", "PM₁₀");
        FACTOR_NAME_MAPPING.put("PM2.5", "PM₂.₅");
        FACTOR_NAME_MAPPING.put("H8O3", "O₃");
        FACTOR_NAME_MAPPING.put("CO", "CO");
    }

    private Map<String, Region> regionMap = new HashMap<>();

    @Value("${cloud.report.path}")
    private String path;

    @Value("${cloud.city.aqi.now}")
    private String cityId;

    public static TimeRange getDayTimeRange(Date date) {
        Calendar ca = Calendar.getInstance();
        ca.setTime(date);
        ca.set(Calendar.HOUR_OF_DAY, 0);
        ca.set(Calendar.MINUTE, 0);
        ca.set(Calendar.SECOND, 0);
        ca.set(Calendar.MILLISECOND, 0);
        Date beginTime = ca.getTime();
        ca.set(Calendar.HOUR_OF_DAY, 23);
        ca.set(Calendar.MINUTE, 59);
        ca.set(Calendar.SECOND, 59);
        Date endTime = ca.getTime();

        return new TimeRange(beginTime, endTime);
    }
}
