package more.ssaqms.xiamen.handler.month.airquality;

import more.commons.utils.tool.DateUtils;
import more.ssaqms.xiamen.model.report.TimeRange;
import org.springframework.stereotype.Component;

import java.text.MessageFormat;
import java.util.Calendar;
import java.util.Date;

@Component
public class AirQualityChapter {

    public String html(TimeRange monthTimeRange){
        Date beginTime = monthTimeRange.getBeginTime();
        Calendar ca = Calendar.getInstance();
        ca.setTime(beginTime);
        int month = ca.get(Calendar.MONTH)+1;
        StringBuilder sb = new StringBuilder();
        sb.append(textBoldPart1(MessageFormat.format("{0}{1}月和1-{2}月厦门市环境空气质量状况通报",DateUtils.formatDate(beginTime,"yyyy年"),month,month)));
        sb.append(textBoldPart1(""));
        sb.append(textBoldPart1(""));
        sb.append(textBoldPart2(MessageFormat.format("根据《环境空气质量标准》（GB3095-2012）及其修改单、《环境空气质量评价技术规范（试行）》（HJ663-2013）和《城市环境空气质量排名技术规定》（环办监测[2018]19号），对{0}{1}月和1-{2}月全市各行政区空气质量进行评价。具体如下：",DateUtils.formatDate(beginTime,"yyyy年"),month,month)));
        return sb.toString();
    }

    private String textBoldPart1(String text) {
        return "<p style=\"margin: 0px; text-align: center; line-height: 1.1;\">" +
                "<span style=\"font-size: 22pt; font-family: 黑体, SimSun;\">" + text + "</span>\n" +
                "</p>";
    }

    private String textBoldPart2(String text) {
        return "<p style=\"margin: 0px; text-indent: 2em; line-height: 1.1;\">" +
                "<span style=\"font-size: 16pt; font-family: 仿宋_GB2312, SimSun;\">" + text + "</span>\n" +
                "</p>";
    }
}
