package more.ssaqms.xiamen.handler.month.airquality;

import more.ssaqms.xiamen.handler.ReportDataUtil;
import more.ssaqms.xiamen.model.airquality.AirQualityInput;
import more.ssaqms.xiamen.model.airquality.SiteAqiData;
import more.ssaqms.xiamen.model.airquality.SiteComplexData;
import more.ssaqms.xiamen.model.report.TimeRange;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Component
public class AirQualityReport {

    @Autowired
    private AirQualityChapter airQualityChapter;

    @Autowired
    private AirQualityChapter1 airQualityChapter1;

    @Autowired
    private AirQualityChapter2 airQualityChapter2;

    @Autowired
    private AirQualityChapter3 airQualityChapter3;

    @Transactional
    public Map<String, Object> creatMonthHtmlReport(AirQualityInput input, String path) {
        path = path + "/image/";
        TimeRange monthTimeRange = ReportDataUtil.getMonthTimeRange(input.getDate());
        HashMap<String, Object> map = new HashMap<>();

        //常规污染物监测
        List<SiteAqiData> siteAqiDatas = input.getSiteAqiDatas();
        SiteComplexData siteComplexData = input.getSiteComplexData();

        List<SiteAqiData> monthSiteAqiDatas = input.getMonthSiteAqiDatas();

        List<SiteAqiData> regionSiteAqiDatas = input.getRegionSiteAqiDatas();

        List<SiteAqiData> monthRegionSiteAqiDatas = input.getMonthRegionSiteAqiDatas();

        String html = airQualityChapter.html(monthTimeRange);

//        FileUtils.saveJsonFile("/mnt/json/airquality/one", "siteAqiDatas.json", siteAqiDatas);
//        FileUtils.saveJsonFile("/mnt/json/airquality/one", "monthSiteAqiDatas.json", monthSiteAqiDatas);
        //第一段
        String html1 = airQualityChapter1.html(monthTimeRange, siteAqiDatas, monthSiteAqiDatas, siteComplexData);

//        FileUtils.saveJsonFile("/mnt/json/airquality/two", "regionSiteAqiDatas.json", regionSiteAqiDatas);
//        FileUtils.saveJsonFile("/mnt/json/airquality/two", "monthSiteAqiDatas.json", monthRegionSiteAqiDatas);
        //第二段
        String html2 = airQualityChapter2.html(monthTimeRange, regionSiteAqiDatas, monthRegionSiteAqiDatas);
        //附表1、2
        String html3 = airQualityChapter3.html(monthTimeRange, siteAqiDatas, monthSiteAqiDatas, 1, 2, "厦门市各国控点空气质量情况");
        //附表3、4
        String html4 = airQualityChapter3.htmlSort(monthTimeRange, regionSiteAqiDatas, monthRegionSiteAqiDatas, 3, 4, "厦门市各行政区环境空气质量情况");
        map.put("html", html + html1 + html2 + html3 + html4);
        return map;
    }
}
