package more.ssaqms.xiamen.handler.month.supper;

import more.commons.utils.tool.DateUtils;
import more.ssaqms.xiamen.model.report.TimeRange;
import org.springframework.stereotype.Component;

import java.util.Calendar;
import java.util.Date;

/**
 * @author zuo
 * @date 2023/6/16 9:53
 */
@Component
public class SupperHomePage {

    public String html(TimeRange monthTimeRange) {
        Date beginTime = monthTimeRange.getBeginTime();
        Calendar ca = Calendar.getInstance();
        ca.setTime(beginTime);
        int month = ca.get(Calendar.MONTH)+1;

        StringBuilder sb = new StringBuilder();
        sb.append(textBoldPart1("厦门市空气质量组分简报"));
        sb.append(tableNoBorder(tr(tdNoBorder(2, 1, "（第"+month+"期）"))
                +tr(
                        tdOneBorder(
                        1, 1, "厦门市环境监测站","left")
                         + tdOneBorder(1, 1, DateUtils.formatDate(new Date(),"yyyy年MM月dd日"),"right"
                        )
                )
        ));
        sb.append(textBoldPart2(""));
        sb.append(textBoldPart2(DateUtils.formatDate(beginTime,"yyyy年MM月") + "厦门市空气质量组分监测简报"));
        sb.append(textBoldPart2(""));
//        sb.append(textPart(pageBreak()));
        return sb.toString();
    }


    public String textBoldPart1(String text) {
        return "<p style=\"margin: 0px; text-align: center; line-height: 1;font-weight:bold;\">" +
                "<span style=\"font-size: 36pt; color: red; font-family: 仿宋_GB2312, SimSun;\">" + text + "</span>\n" +
                "</p>";
    }

    public String textBoldPart2(String text) {
        return "<p style=\"margin: 0px; text-align: center; line-height: 1;\">" +
                "<span style=\"font-size: 18pt; font-family: 仿宋_GB2312, SimSun;\">" + text + "</span>\n" +
                "</p>";
    }

    public String textBoldPart3(String text1, String text2) {
        return "<p style=\"margin: 0px; text-align: justify; line-height: 1.5;\">" +
                "<span style=\"font-size: 16pt; font-family: 仿宋_GB2312, SimSun;\">" + text1 + "</span>\n" +
                "<span style=\"font-size: 16pt; font-family: 仿宋_GB2312, SimSun;text-decoration: underline;\">" + text2 + "</span>\n" +
                "</p>";
    }

    public String tableNoBorder(String trTexts) {
        return "<table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"width:100%\">" +
                "<tbody>" + trTexts +
                "</tbody>" +
                "</table>";
    }

    public String tdNoBorder(Integer colspan, Integer rowspan, String text) {
        return "<td colspan=\"" + colspan + "\" rowspan=\"" + rowspan + "\" style=\"text-align:center\">" +
                "<p style=\"border: 0; text-align:center;\">" +
                "    <span style=\"font-size: 15pt; font-family: 仿宋_GB2312, SimSun;\">" + text + "</span>" +
                "</p>" +
                "</td>";
    }

    public String tdOneBorder(Integer colspan, Integer rowspan, String text ,String align) {
        return "<td colspan=\"" + colspan + "\" rowspan=\"" + rowspan + "\" style=\"text-align:center\">" +
                "<p style=\"border: 0; border-bottom: 3px solid #FF0000; text-align:"+align+";\">" +
                "    <span style=\"font-size: 15pt; font-family: 仿宋_GB2312, SimSun;\">" + text + "</span>" +
                "</p>" +
                "</td>";
    }

    public String tr(String tdTexts) {
        return "<tr>" + tdTexts + "</tr>";
    }

}
