package more.ssaqms.xiamen.handler.month.traffic;

import more.commons.utils.tool.DateUtils;
import more.ssaqms.xiamen.model.report.TimeRange;
import org.springframework.stereotype.Component;

import java.util.Calendar;
import java.util.Date;

@Component
public class TrafficHpmePage {

    public String html(TimeRange monthTimeRange) {
        Date beginTime = monthTimeRange.getBeginTime();
        Calendar ca = Calendar.getInstance();
        ca.setTime(beginTime);
        int month = ca.get(Calendar.MONTH)+1;

        StringBuilder sb = new StringBuilder();
        sb.append(textBoldPart1("厦门市空气质量组分简报"));
        sb.append(tableNoBorder(tr(tdNoBorder(2, 1, "（第"+month+"期）"))
                        +tr(
                        tdOneBorder(
                                1, 1, "厦门市环境监测站","left")
                                + tdOneBorder(1, 1, DateUtils.formatDate(new Date(),"yyyy年MM月dd日"),"right"
                        )
                )
        ));

        sb.append(textBoldPart2(""));
        sb.append(textBoldPart2(DateUtils.formatDate(beginTime,"yyyy年MM月") + "厦门市交通站空气质量组分监测简报"));
        sb.append(textBoldPart2(""));
        return sb.toString();
    }


    private String textBoldPart1(String text) {
        return "<p style=\"margin: 0px; text-align: center; line-height: 1.3;font-weight:bold;\">" +
                "<span style=\"font-size: 36pt; color: red; font-family: 仿宋_GB2312, SimSun;\">" + text + "</span>\n" +
                "</p>";
    }

    private String textBoldPart2(String text) {
        return "<p style=\"margin: 0px; text-align: center; line-height: 1.3;\">" +
                "<span style=\"font-size: 18pt; font-family: 黑体, SimSun;\">" + text + "</span>\n" +
                "</p>";
    }

    private String tableNoBorder(String trTexts) {
        return "<table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"width:90%\">" +
                "<tbody>" + trTexts +
                "</tbody>" +
                "</table>";
    }

    private String tdNoBorder(Integer colspan, Integer rowspan, String text) {
        return "<td colspan=\"" + colspan + "\" rowspan=\"" + rowspan + "\" style=\"text-align:center\">" +
                "<p style=\"border: 0; text-align:center;\">" +
                "    <span style=\"font-size: 15pt; font-family: 仿宋_GB2312, SimSun;\">" + text + "</span>" +
                "</p>" +
                "</td>";
    }

    private String tdOneBorder(Integer colspan, Integer rowspan, String text ,String align) {
        return "<td colspan=\"" + colspan + "\" rowspan=\"" + rowspan + "\" style=\"text-align:center\">" +
                "<p style=\"border: 0; border-bottom: 3px solid #FF0000; text-align:"+align+";\">" +
                "    <span style=\"font-size: 15pt; font-family: 仿宋_GB2312, SimSun;\">" + text + "</span>" +
                "</p>" +
                "</td>";
    }

    private String tr(String tdTexts) {
        return "<tr>" + tdTexts + "</tr>";
    }
}
