package more.ssaqms.xiamen.handler.month.traffic;

import more.ssaqms.xiamen.handler.ReportDataUtil;
import more.ssaqms.xiamen.model.report.BasicInformation;
import more.ssaqms.xiamen.model.report.ReportOutput;
import more.ssaqms.xiamen.model.report.TimeRange;
import more.ssaqms.xiamen.model.traffic.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;
import java.util.List;

/**
 * @author zuo
 * @date 2023/5/4 12:21
 */
@Component
public class TrafficMonthReport {

    @Autowired
    private TrafficHpmePage trafficHpmePage;

    @Autowired
    private TrafficChapter1 chapter1;

    @Autowired
    private TrafficChapter2 chapter2;

    @Autowired
    private TrafficChapter3 chapter3;

    @Autowired
    private TrafficChapter4 chapter4;

    @Transactional
    public ReportOutput creatMonthHtmlReport(TrafficInput input) {
        Date date = input.getDate();
        TimeRange monthTimeRange = ReportDataUtil.getMonthTimeRange(date);

        BasicInformation monthBasicInformation = input.getMonthBasicInformation();

        //常规污染物监测
        List<SiteAqiData> siteAqiDatas = input.getSiteAqiDatas();

        //甲烷非甲烷
        List<CH4AvgData> ch4AvgDataList = input.getCh4AvgDataList();
        MageeAvgData mageeAvgData = input.getMageeAvgData();
        VOCsData voCsData = input.getVoCsData();

        //气象数据
        List<SiteWindModel> siteWindModels = input.getSiteWindModels();

        String home = trafficHpmePage.html(monthTimeRange);

        String chapter1 = this.chapter1.html(monthTimeRange, siteAqiDatas);

        String chapter2 = this.chapter2.html(ch4AvgDataList, mageeAvgData, voCsData, monthBasicInformation);

        String chapter3 = this.chapter3.html(siteWindModels);
        String chapter4 = this.chapter4.html(siteAqiDatas, ch4AvgDataList, mageeAvgData, voCsData, siteWindModels);

        ReportOutput reportOutput = new ReportOutput();
        reportOutput.setDate(input.getDate());
        reportOutput.setHtml(home + chapter1 + chapter2 + chapter3 + chapter4);
        return reportOutput;
    }


}
