package more.ssaqms.xiamen.model.airquality;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;


/**
 * 站点综合指数排名表（从真气网抓取）
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_complex")
public class SiteComplexData {
    /**
     * 主键 siteId+time
     */
    @ApiModelProperty(value = "主键", required = true)
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "站点Id", required = true)
    @TableField
    @NotBlank
    private String siteId;

    @ApiModelProperty(value = "排名", required = true)
    @TableField
    @NotNull
    private Integer rank;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间", required = true)
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date updateTime;
}
