package more.ssaqms.xiamen.model.alarm;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 【请填写功能名称】对象 t_alarm_data
 *
 * @author zuo
 * @date 2021-10-14
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_alarm_data")
public class AlarmData {

    /**
     * 数据时间
     */
    @ApiModelProperty(value = "数据时间", required = true)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    @TableField
    private Date dataTime;

    /**
     * 站房仪器设备Id
     */
    @ApiModelProperty(value = "站房仪器设备Id", required = true)
    @TableField
    private String siteDeviceId;

    /**
     * 站房Id
     */
    @ApiModelProperty(value = "站房Id", required = true)
    @TableField
    private String siteId;

    /**
     * 站房名称
     */
    @ApiModelProperty(value = "站房名称", required = true)
    @TableField
    private String siteName;

    /**
     * 设备id
     */
    @ApiModelProperty(value = "设备id", required = true)
    @TableField
    private String deviceId;

    /**
     * 设备名称
     */
    @ApiModelProperty(value = "设备名称", required = true)
    @TableField
    private String deviceName;

    /**
     * 因子id
     */
    @ApiModelProperty(value = "因子id", required = true)
    @TableField
    private String factorId;

    /**
     * 超标报警上限
     */
    @ApiModelProperty(value = "超标报警上限", required = true)
    @TableField
    private BigDecimal alarmMax;

    /**
     * 超标报警下限
     */
    @ApiModelProperty(value = "超标报警下限", required = true)
    @TableField
    private BigDecimal alarmMin;

    /**
     * 值
     */
    @ApiModelProperty(value = "值", required = true)
    @TableField
    private BigDecimal value;
}
