package more.ssaqms.xiamen.model.alarm;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * @author zuo
 * @date 2022/8/16 16:14
 */
@ApiModel(value = "状态告警数据查询接收参数模型")
@Data
@ToString
@Accessors(chain = true)
public class StatusAlarmReceive {

    @NotNull
    @ApiModelProperty(value = "查询开始时间", required = true)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date beginTime;

    @NotNull
    @ApiModelProperty(value = "查询结束时间", required = true)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date endTime;

    @NotNull
    @ApiModelProperty(value = "因子ids")
    private List<String> siteDeviceIds;

    @ApiModelProperty(value = "是否关键状态因子,不传或false为所状态为有开启的因子")
    private Boolean isImportance;
}
