package more.ssaqms.xiamen.model.audit;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import java.util.Date;

@ApiModel(value = "未审核常规站点数据表")
@Data
@ToString
@Accessors(chain = true)
@TableName(value = "t_audit_air_data")
public class AuditAirData {

    @ApiModelProperty(value = "id", required = true)
    @NotBlank
    @TableField
    private String id;

    @ApiModelProperty(value = "站点id", required = true)
    @NotBlank
    @TableField
    private String siteId;

    @ApiModelProperty(value = "未审核数据时间", required = true)
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd")
    private Date dataTime;
}
