package more.ssaqms.xiamen.model.audit;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2021/7/1 10:28
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_audit_info")
public class AuditInfo {

    /**
     * 主键
     */
    @ApiModelProperty(value = "主键Id", required = true)
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 审核Id
     */
    @ApiModelProperty(value = "审核Id", required = true)
    @TableField
    private String auditId;

    /**
     * 设备ID
     */
    @ApiModelProperty(value = "设备ID", required = true)
    @TableField
    private String siteDeviceId;

    /**
     * 组织Id
     */
    @ApiModelProperty(value = "设备ID", required = true)
    @TableField
    private String orgId;

    /**
     * 审核人员Id
     */
    @ApiModelProperty(value = "审核人员Id", required = true)
    @TableField
    private Integer auditory;

    /**
     * 审核人员名称
     */
    @ApiModelProperty(value = "审核人员名称", hidden = true)
    @TableField(exist = false)
    private String auditoryName;

    /**
     * 审核阶段
     */
    @ApiModelProperty(value = "审核阶段", required = true)
    @TableField
    private Integer stage;

    /**
     * 审核状态
     */
    @ApiModelProperty(value = "审核状态(0为未审核,1为审核完成)", required = true)
    @TableField
    private Boolean status;

    /**
     * 审核时间
     */
    @ApiModelProperty(value = "审核时间", required = true)
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd")
    private Date auditTime;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 组织名称
     */
    @ApiModelProperty(value = "组织名称", required = true)
    @TableField(exist = false)
    private String orgName;

    public AuditInfo(AuditManual auditManual, Integer stage, String orgId, Integer auditory) {
        this.auditId = auditManual.getId();
        this.siteDeviceId = auditManual.getSiteDeviceId();
        this.orgId = orgId;
        this.auditory = auditory;
        this.stage = stage;
        this.status = true;
        this.auditTime = new Date();
    }

    public AuditInfo() {

    }
}
