package more.ssaqms.xiamen.model.audit;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2021/6/28 14:05
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_audit")
public class AuditManual {

    /**
     * 主键
     */
    @ApiModelProperty(value = "主键Id", required = true)
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间", required = true)
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd")
    private Date auditTime;

    /**
     * 站点ID
     */
    @ApiModelProperty(value = "站点ID", required = true)
    @TableField
    private String siteId;

    /**
     * 设备ID
     */
    @ApiModelProperty(value = "设备ID", required = true)
    @TableField
    @NotBlank
    private String siteDeviceId;

    /**
     * 审核阶段
     */
    @ApiModelProperty(value = "审核阶段", required = true)
    @TableField
    @NotNull
    private Integer stage;

    /**
     * 是否审核完结
     */
    @ApiModelProperty(value = "是否审核完结", required = true)
    @TableField
    private Boolean isAuditOver;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    @TableField
    private String remark;


    /**
     * 是否大屏可以取数据
     */
    @ApiModelProperty(value = "是否大屏可以取数据")
    @TableField
    private Boolean bigScreen;

    /**
     * 审核详表
     */
    @ApiModelProperty(value = "审核详表")
    @TableField(exist = false)
    private List<AuditInfo> auditInfos;

    @ApiModelProperty(value = "是否校验权限", hidden = true)
    @TableField(exist = false)
    private Boolean isCheckPermission;

    @ApiModelProperty(value = "组织ID", hidden = true)
    @TableField(exist = false)
    private String orgId;

    @ApiModelProperty(value = "审核人员Id", hidden = true)
    @TableField(exist = false)
    private Integer auditory;
}
