package more.ssaqms.xiamen.model.audit;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2021/6/28 14:05
 */
@Data
public class AuditManualReceive {

    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间", required = true)
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd")
    @NotNull
    private Date auditTime;

    /**
     * 站点ID
     */
    @ApiModelProperty(value = "站点ID", required = true)
    @TableField
    @NotBlank
    private String siteId;

    /**
     * 是否大屏可以取数据
     */
    @ApiModelProperty(value = "是否大屏可以取数据")
    @TableField
    @NotNull
    private Boolean bigScreen;
}
