package more.ssaqms.xiamen.model.audit;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author zuo
 * @date 2023/2/3 12:01
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_audit_month")
public class AuditMonth {

    /**
     * 主键
     */
    @ApiModelProperty(value = "主键Id")
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 被审年月时间（yyyy/MM）
     */
    @ApiModelProperty(value = "被审年月时间（yyyy/MM）", required = true)
    @TableField
    @NotNull
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM")
    private Date auditMonthTime;


    /**
     * 站点ID
     */
    @ApiModelProperty(value = "站点ID", required = true)
    @TableField
    private String siteId;

    /**
     * 设备ID
     */
    @ApiModelProperty(value = "设备ID", required = true)
    @TableField
    @NotBlank
    private String siteDeviceId;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    @TableField
    private String remark;

}
