package more.ssaqms.xiamen.model.audit;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author zuo
 * @date 2023/2/3 17:01
 */
@Data
public class AuditSubmit {

    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间", required = true)
    @NotNull
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd")
    private Date beginTime;

    /**
     * 结束时间
     */
    @ApiModelProperty(value = "开始时间", required = true)
    @NotNull
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd")
    private Date endTime;

    /**
     * 设备ID
     */
    @ApiModelProperty(value = "设备ID", required = true)
    @NotBlank
    private String siteDeviceId;

    /**
     * 审核阶段
     */
    @ApiModelProperty(value = "审核阶段", required = true)
    @TableField
    @NotNull
    private Integer stage;
}
