package more.ssaqms.xiamen.model.audit;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @author zuo
 * @date 2023/9/15 11:59
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "big_screen")
public class BigScreen {

    /**
     * 主键
     */
    @ApiModelProperty(value = "主键Id", required = true)
    @TableId(type = IdType.NONE)
    private String id;

    /**
     * 大屏数据时间
     */
    @ApiModelProperty(value = "大屏数据时间", required = true)
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd")
    private Date dataTime;

    /**
     * 大屏数据站点
     */
    @ApiModelProperty(value = "大屏数据站点", required = true)
    @TableField
    private String siteId;

    /**
     * 是否允许大屏数据接口
     */
    @ApiModelProperty(value = "是否允许大屏数据接口")
    @TableField
        private Boolean bigScreen;
}
