package more.ssaqms.xiamen.model.audit;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author zuo
 * @date 2022/7/8 14:52
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_no_data_record")
public class NoDataRecord {

    /**
     * 站点设备id
     */
    @ApiModelProperty(value = "站点设备id", required = true)
    @TableId
    @NotBlank(message = "站点设备id,不能位空")
    private String siteDeviceId;

    /**
     * 时间
     */
    @ApiModelProperty(value = "时间", required = true)
    @TableId
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH")
    @NotNull(message = "时间,不能位空")
    private Date dataTime;

    /**
     * 站点id
     */
    @ApiModelProperty(value = "站点id", required = true)
    @TableField
    @NotBlank(message = "站点设备id,不能位空")
    private String siteId;

    /**
     * 原因:1.断电,2.例行运维,4.不可抗力,8.仪器故障,16.正常缺失
     */
    @ApiModelProperty(value = "原因:1.断电,2.例行运维,4.不可抗力,8.仪器故障,16.正常缺失", required = true)
    @TableField
    @NotNull(message = "原因,不能位空")
    private Long cause;

    @ApiModelProperty(value = "userId", hidden = true)
    @TableField
    private Integer userId;
}
