package more.ssaqms.xiamen.model.audit;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * @author zuo
 * @date 2022/7/8 16:15
 */
@Data
public class NoDataRecordDTO {

    /**
     * 审核日期（审核那天的数据yyyy/MM/dd）
     */
    @ApiModelProperty(value = "审核日期（审核那天的数据yyyy/MM/dd）", required = true)
    @NotNull(message = "时间不能为空")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd")
    private Date auditTime;

    /**
     * 站点设备id
     */
    @ApiModelProperty(value = "站点设备id", required = true)
    @NotBlank(message = "站点设备id，不能为空")
    private String siteDeviceId;

    /**
     * 具体缺少数据时间的情况集合
     */
    @ApiModelProperty(value = "具体缺少数据时间的情况集合", required = true)
//    @NotNull(message = "具体缺少数据时间的情况集合,不能为空")
//    @Size(min = 1, message = "具体缺少数据时间的情况集合,至少要有一个属性")
    @Valid
    private List<NoDataRecord> noDataRecords;

}
