package more.ssaqms.xiamen.model.audit;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.Date;
import java.util.List;

/**
 * @author zuo
 * @date 2023/8/1 15:29
 */
@Data
public class RegeneratesHourlyDataReceive {
    @ApiModelProperty(value = "分钟数据时间数组", required = true)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    @NotNull(message = "分钟数据时间数组不能为空")
    @Size(min = 1, message = "分钟数据时间数组,至少要有一个数据")
    private List<Date> dataTimes;

    @ApiModelProperty(value = "站点设备id", required = true)
    private String siteDeviceId;

    @ApiModelProperty(value = "因子id", required = true)
    private String factorId;
}
