package more.ssaqms.xiamen.model.cityAqi;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 【查询外部aqi城市编码与是否下载数据类】对象 t_aqi_getting_city
 *
 * @author zuo
 * @date 2021-12-07
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_aqi_getting_city")
public class AqiGettingCity {

    /**
     * 城市编码
     */
    @ApiModelProperty(value = "城市编码", required = true)
    @TableId(type = IdType.AUTO)
    private String id;

    /**
     * 所属省份
     */
    @ApiModelProperty(value = "所属省份", required = true)
    @TableField
    private String province;

    /**
     * 城市名称
     */
    @ApiModelProperty(value = "城市名称", required = true)
    @TableField
    private String city;

    /**
     * 状态,0位关,1为开,设置为1的为需要采集数据的城市
     */
    @ApiModelProperty(value = "状态,0位关,1为开,设置为1的为需要采集数据的城市", required = true)
    @TableField
    private Boolean status;
}
