package more.ssaqms.xiamen.model.cityAqi;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 【请填写功能名称】对象 t_aqi_getting_city_detail_data
 *
 * @author ruoyi
 * @date 2021-12-07
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_aqi_getting_city_detail_data")
public class AqiGettingCityDetailData {

    /**
     * id
     */
    @ApiModelProperty(value = "主键", required = true)
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 对应的城市id
     */
    @ApiModelProperty(value = "对应的城市id", required = true)
    @TableField
    private String cityId;

    /**
     * 对应的城市数据id
     */
    @ApiModelProperty(value = "对应的城市数据id", required = true)
    @TableField
    private String cityDataId;

    /**
     * 数据时间
     */
    @ApiModelProperty(value = "数据时间", hidden = true)
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date dataTime;

    /**
     * 数据时间(接收接口使用)
     */
    @ApiModelProperty(value = "数据时间(接收接口使用)", required = true)
    @TableField(exist = false)
    private String pubTime;

    /**
     * 站点名称
     */
    @ApiModelProperty(value = "站点名称", required = true)
    @TableField
    private String name;

    /**
     * aqi
     */
    @ApiModelProperty(value = "aqi", required = true)
    @TableField
    private BigDecimal aqi;

    /**
     * 级别
     */
    @ApiModelProperty(value = "级别", required = true)
    @TableField(value = "`level`")
    private Integer level;

    /**
     * 类型(对应级别)
     */
    @ApiModelProperty(value = "类型(对应级别)", required = true)
    @TableField
    private String category;

    /**
     * 首要污染物
     */
    @ApiModelProperty(value = "首要污染物", required = true)
    @TableField(value = "`primary`")
    private String primary;

    /**
     * pm10
     */
    @ApiModelProperty(value = "pm10", required = true)
    @TableField
    private BigDecimal pm10;

    /**
     * pm2p5
     */
    @ApiModelProperty(value = "pm2p5", required = true)
    @TableField
    private BigDecimal pm2p5;

    /**
     * no2
     */
    @ApiModelProperty(value = "pm2p5", required = true)
    @TableField
    private BigDecimal no2;

    /**
     * so2
     */
    @ApiModelProperty(value = "so2", required = true)
    @TableField
    private BigDecimal so2;

    /**
     * co
     */
    @ApiModelProperty(value = "co", required = true)
    @TableField
    private BigDecimal co;

    /**
     * o3
     */
    @ApiModelProperty(value = "o3", required = true)
    @TableField
    private BigDecimal o3;
}
