package more.ssaqms.xiamen.model.cityAqi;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 【请填写功能名称】对象 t_weather_getting_city_data
 *
 * @author zuo
 * @date 2021-12-07
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_weather_getting_city_data")
public class WeatherGettingCityData {

    /**
     * id
     */
    @ApiModelProperty(value = "主键", required = true)
    @TableId
    private String id;

    /**
     * 对应的城市id
     */
    @ApiModelProperty(value = "对应的城市id", required = true)
    @TableField
    private String cityId;

    /**
     * 城市名称
     */
    @ApiModelProperty(value = "城市名称", required = true)
    @TableField
    private String cityName;

    /**
     * 数据时间
     */
    @ApiModelProperty(value = "数据时间", hidden = true)
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date dataTime;

    /**
     * 数据观测时间(接收接口使用)
     */
    @ApiModelProperty(value = "数据观测时间(接收接口使用)", required = true)
    @TableField(exist = false)
    private String obsTime;

    /**
     * 温度，默认单位：摄氏度
     */
    @ApiModelProperty(value = "温度，默认单位：摄氏度", required = true)
    @TableField
    private BigDecimal temp;

    /**
     * 体感温度，默认单位：摄氏度
     */
    @ApiModelProperty(value = "温度，默认单位：摄氏度", required = true)
    @TableField
    private BigDecimal feelsLike;

    /**
     * 天气状况的文字描述，包括阴晴雨雪等天气状态的描述
     */
    @ApiModelProperty(value = "天气状况的文字描述，包括阴晴雨雪等天气状态的描述", required = true)
    @TableField
    private String text;

    /**
     * 风向360角度
     */
    @ApiModelProperty(value = "风向360角度", required = true)
    @TableField
    private BigDecimal wind360;

    /**
     * 风向
     */
    @ApiModelProperty(value = "风向", required = true)
    @TableField
    private String windDir;

    /**
     * 风力等级
     */
    @ApiModelProperty(value = "风力等级", required = true)
    @TableField
    private BigDecimal windScale;

    /**
     * 风速，公里/小时
     */
    @ApiModelProperty(value = "风速，公里/小时", required = true)
    @TableField
    private BigDecimal windSpeed;

    /**
     * 相对湿度，百分比数值
     */
    @ApiModelProperty(value = "相对湿度，百分比数值", required = true)
    @TableField
    private BigDecimal humidity;

    /**
     * 当前小时累计降水量，默认单位：毫米
     */
    @ApiModelProperty(value = "当前小时累计降水量，默认单位：毫米", required = true)
    @TableField
    private BigDecimal precip;

    /**
     * 大气压强，默认单位：百帕
     */
    @ApiModelProperty(value = "大气压强，默认单位：百帕", required = true)
    @TableField
    private BigDecimal pressure;

    /**
     * 能见度，默认单位：公里
     */
    @ApiModelProperty(value = "能见度，默认单位：公里", required = true)
    @TableField
    private BigDecimal vis;

    /**
     * 云量，百分比数值
     */
    @ApiModelProperty(value = "云量，百分比数值", required = true)
    @TableField
    private BigDecimal cloud;

    /**
     * 露点温度
     */
    @ApiModelProperty(value = "露点温度", required = true)
    @TableField
    private BigDecimal dew;
}
