package more.ssaqms.xiamen.model.data;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import more.ssaqms.xiamen.model.operation.integral.IntegralData;

import java.util.Date;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2021/7/26 10:17
 */
@Data
public class HistoricalData {

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id", required = true)
    @TableId
    private String id;

    /**
     * site_id
     */
    @ApiModelProperty(value = "站房id", required = true)
    @TableField
    private String siteId;

    /**
     * 站房仪器表id
     */
    @ApiModelProperty(value = "站房仪器表id", required = true)
    @TableField
    private String siteDeviceId;

    /**
     * 因子id
     */
    @ApiModelProperty(value = "因子id", required = true)
    @TableField
    private String factorId;

    /**
     * 因子id
     */
    @ApiModelProperty(value = "因子名称", required = true)
    @TableField
    private String factorName;

    /**
     * 数据时间
     */
    @ApiModelProperty(value = "数据时间", required = true)
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date dataTime;

    /**
     * 数据时间
     */
    @ApiModelProperty(value = "数据时间,string格式", required = true)
    @TableField
    private String dataTimeStr;

    /**
     * 值
     */
    @ApiModelProperty(value = "值", required = true)
    @TableField
    private Float value;

    /**
     * 次数
     */
    @ApiModelProperty(value = "次数", required = true)
    @TableField
    private Integer count;

    /**
     * 雷达值
     */
    @ApiModelProperty(value = "雷达值", required = true)
    @TableField
    private String radarValue;

    /**
     * 自动审核标签
     */
    @ApiModelProperty(value = "自动审核标签", required = true)
    @TableField
    private String flag;

    /**
     * 数采标签
     */
    @ApiModelProperty(value = "数采标签", required = true)
    @TableField
    private String dasFlag;

    /**
     * 是否审核完成
     */
    @ApiModelProperty(value = "是否审核完成", required = true)
    @TableField
    private Boolean isAuditCompleted;

    /**
     * 审核内容
     */
    @ApiModelProperty(value = "审核内容")
    @TableField
    private String auditComment;

    /**
     * 审核标记
     */
    @ApiModelProperty(value = "审核标记")
    @TableField
    private String auditFlag;

    /**
     * 审核时间
     */
    @ApiModelProperty(value = "审核时间")
    @TableField
    private String auditDate;

    /**
     * 1审的组织id
     */
    @ApiModelProperty(value = "1审的组织id")
    @TableField
    private String auditOrgId;

    /**
     * 是否存在仪器状态告警
     */
    @ApiModelProperty(value = "是否存在仪器状态告警")
    @TableField
    private Boolean isAlarm;

    /**
     * 是否存在质控告警
     */
    @ApiModelProperty(value = "是否存在仪器状态告警")
    @TableField
    private Integer isQcAlarm;

    /**
     * 是否包含重积分数据
     */
    @ApiModelProperty(value = "是否包含重积分数据")
    @TableField(exist = false)
    private Boolean isHaveIntegral;

    @ApiModelProperty(value = "auditId", hidden = true)
    @TableField(exist = false)
    private String auditId;

    public HistoricalData() {
    }

    public HistoricalData(IntegralData integralData) {
        this.siteId = integralData.getSiteId();
        this.dataTime = integralData.getDataTime();
        this.factorId = integralData.getFactorId();
        this.value = integralData.getValue();
        this.siteDeviceId = integralData.getSiteDeviceId();
        this.isHaveIntegral = true;
    }
}
