package more.ssaqms.xiamen.model.data;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2021/6/29 10:50
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_data_hour_normal")
public class HourData {

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id", required = true)
    @TableId
    private String id;

    /**
     * site_id
     */
    @ApiModelProperty(value = "站房id", required = true)
    @TableField
    private String siteId;

    /**
     * 站房仪器表id
     */
    @ApiModelProperty(value = "站房仪器表id", required = true)
    @TableField
    private String siteDeviceId;

    /**
     * 因子id
     */
    @ApiModelProperty(value = "因子id", required = true)
    @TableField
    private String factorId;

    /**
     * factorCode
     */
    @ApiModelProperty(value = "factorCode", required = true)
    @TableField
    private String fcid;

    /**
     * 数据时间
     */
    @ApiModelProperty(value = "数据时间", required = true)
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date dataTime;

    /**
     * 数采因子值
     */
    @ApiModelProperty(value = "数采因子值", required = true)
    @TableField
    private Float dasValue;

    /**
     * 数采标签
     */
    @ApiModelProperty(value = "数采标签", required = true)
    @TableField
    private String dasFlag;

    /**
     * 自动审核数据
     */
    @ApiModelProperty(value = "自动审核数据", required = true)
    @TableField
    private Float autoValue;

    /**
     * 自动审核标签
     */
    @ApiModelProperty(value = "自动审核标签", required = true)
    @TableField
    private String autoFlag;

    /**
     * 原始自动审核的数据，在重新计算后数值会放这里
     */
    @ApiModelProperty(value = "原始自动审核的数据，在重新计算后数值会放这里", required = true)
    @TableField
    private Float originalValue;

    /**
     * 原始自动审核标签，在重新计算后flag会放这里
     */
    @ApiModelProperty(value = "原始自动审核标签，在重新计算后flag会放这里", required = true)
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String originalFlag;

    /**
     * 是否告警
     */
    @ApiModelProperty(value = "是否告警", required = true)
    @TableField
    private Boolean isAlarm;

    /**
     * 是否存在质控告警
     */
    @ApiModelProperty(value = "是否存在仪器状态告警")
    @TableField
    private Integer isQcAlarm;

    /**
     * 最终审核结果
     */
    @ApiModelProperty(value = "最终审核结果", required = true)
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String auditFlag;

    /**
     * 最终审核结果备注
     */
    @ApiModelProperty(value = "最终审核结果备注", required = true)
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String auditComment;

    /**
     * 数采重新生成标签
     */
    @ApiModelProperty(value = "数采重新生成标签", required = true)
    @TableField
    private Boolean regenerateFlag;

    /**
     * 数采重新生成值
     */
    @ApiModelProperty(value = "数采重新生成值", required = true)
    @TableField
    private Float regenerateValue;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间", required = true)
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date lastModifiedTime;

    /**
     * 保存时间
     */
    @ApiModelProperty(value = "保存时间", required = true)
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date saveTime;

    /**
     * 是否审核完成
     */
    @ApiModelProperty(value = "是否审核完成", required = true)
    @TableField
    private Boolean isAuditCompleted;

    @ApiModelProperty(value = "auditId", hidden = true)
    @TableField
    private String auditId;


    /**
     * 采集率
     */
    @ApiModelProperty(value = "采集率", required = true)
    @TableField(exist = false)
    private Float harvestRate;

    public HourData() {
    }
}
