package more.ssaqms.xiamen.model.data;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author zuo
 * @date 2023/4/20 13:14
 */
@Data
public class OriginalData {

    /**
     * site_id
     */
    @ApiModelProperty(value = "站房id")
    @TableField
    private String siteId;

    /**
     * 站房仪器表id
     */
    @ApiModelProperty(value = "站房仪器表id")
    @TableField
    private String siteDeviceId;

    /**
     * 因子id
     */
    @ApiModelProperty(value = "因子id")
    @TableField
    private String factorId;

    /**
     * 数据时间
     */
    @ApiModelProperty(value = "数据时间")
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date dataTime;

    /**
     * 值
     */
    @ApiModelProperty(value = "值")
    @TableField
    private Float value;

    /**
     * 数采标签
     */
    @ApiModelProperty(value = "数采标签")
    @TableField
    private String flag;

    /**
     * 重新生成是否使用该数据
     */
    @ApiModelProperty(value = "重新生成是否使用该数据")
    @TableField
    private Boolean isUse;

    /**
     * 数采标签
     */
    @ApiModelProperty(value = "是否审核")
    @TableField
    private Boolean isAuditCompleted;

    /**
     * 数采标签
     */
    @ApiModelProperty(value = "审核标记")
    @TableField
    private String auditFlag;

    /**
     * 数采标签
     */
    @ApiModelProperty(value = "审核原因")
    @TableField
    private String auditComment;
}
