package more.ssaqms.xiamen.model.data;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.Date;
import java.util.List;

/**
 * @author zuo
 * @date 2023/4/20 13:14
 */
@Data
public class OriginalDataInput {

    @NotNull
    @ApiModelProperty(value = "查询开始时间", required = true)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date beginTime;

    @NotNull
    @ApiModelProperty(value = "查询结束时间", required = true)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "站点id", required = true)
    @NotBlank(message = "站点id不能为空")
    private String siteId;

    @ApiModelProperty(value = "站点设备ids", hidden = true)
    private List<String>  siteDeviceIds;

    @ApiModelProperty(value = "因子ids", required = true)
    @NotNull(message = "因子ids不能为空")
    @Size(min = 1,message = "因子ids至少要有一个")
    private List<String> factorIds;
}
