package more.ssaqms.xiamen.model.data;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import more.commons.utils.annotation.Excel;
import more.commons.utils.annotation.Excel.Type;
import more.ssaqms.xiamen.model.statistics.PollutantData;

import java.util.Date;
import java.util.List;

/**
 * 分类统计数据
 *
 * @Author zuo
 * @Version 1.0
 * @Date 2021/8/2 19:00
 */

@Data
public class ParaData {

    /**
     * 数据时间
     */
    @ApiModelProperty(value = "数据时间", required = true)
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    @Excel(name = "数据时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss", type = Type.EXPORT)
    private Date dataTime;

    /**
     * 数据时间
     */
    @ApiModelProperty(value = "数据时间", required = true)
    @TableField
    private String dataTimeStr;

    /**
     * site_id
     */
    @ApiModelProperty(value = "站房id", required = true)
    @TableField
    @Excel(name = "站点编号")
    private String siteId;

    /**
     * 值
     */
    @ApiModelProperty(value = "值", required = true)
    @TableField
    @Excel(name = "值")
    private Float value;

    /**
     * 值的次数
     */
    @ApiModelProperty(value = "值的次数", required = true)
    @TableField
    private Integer count;

    /**
     * 单位
     */
    @ApiModelProperty(value = "单位", required = true)
    @TableField
    private String unit;

    /**
     * groupId
     */
    @ApiModelProperty(value = "因子类型Id", required = true)
    @TableField
    private String groupId;

    /**
     * groupName
     */
    @ApiModelProperty(value = "因子类型名称", required = true)
    @TableField
    @Excel(name = "因子类型")
    private String groupName;

    /**
     * 是否包含重积分数据
     */
    @ApiModelProperty(value = "是否包含重积分数据")
    @TableField(exist = false)
    private Boolean isHaveIntegral;

    /**
     * 因子id,转为赵大师同一opf格式添加的voc格式
     */
    @ApiModelProperty(value = "因子id,转为赵大师统一opf格式添加的voc格式因子名",hidden = true)
    @TableField(exist = false)
    private String factorId;

    /**
     * 因子浓度top,专为赵大师统一opf格式添加的voc格式
     */
    @ApiModelProperty(value = "因子id,专为赵大师统一opf格式添加的voc格式",hidden = true)
    @TableField(exist = false)
    private List<PollutantData> pollutantData;
}
