package more.ssaqms.xiamen.model.data;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2021/7/1 14:11
 */

@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_data_site_particle_size_spectra")
public class ParticleSizeSpectraData {

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id", required = true)
    @TableId
    private String id;

    /**
     * 站房基础信息id
     */
    @ApiModelProperty(value = "站房基础信息id", required = true)
    @TableField
    private String siteId;

    /**
     * 因子基础信息id
     */
    @ApiModelProperty(value = "因子基础信息id", required = true)
    @TableField
    private String factorId;

    /**
     * 数据时间
     */
    @ApiModelProperty(value = "数据时间", required = true)
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date dataTime;

    /**
     * 数采因子值
     */
    @ApiModelProperty(value = "数采因子值", required = true)
    @TableField
    private Float dasValue;

    /**
     * 数采标签
     */
    @ApiModelProperty(value = "数采标签", required = true)
    @TableField
    private String dasFlag;

    /**
     * 数采因子值
     */
    @ApiModelProperty(value = "数采因子值", required = true)
    @TableField
    private Float autoValue;

    /**
     * 数采标签
     */
    @ApiModelProperty(value = "数采标签", required = true)
    @TableField
    private String autoFlag;

    /**
     * 最终审核结果
     */
    @ApiModelProperty(value = "最终审核结果", required = true)
    @TableField
    private String auditFlag;

    /**
     * 最终审核结果备注
     */
    @ApiModelProperty(value = "最终审核结果备注", required = true)
    @TableField
    private String auditComment;

    /**
     * 数采重新生成标签
     */
    @ApiModelProperty(value = "数采重新生成标签", required = true)
    @TableField
    private Boolean regenerateFlag;

    /**
     * 数采重新生成值
     */
    @ApiModelProperty(value = "数采重新生成值", required = true)
    @TableField
    private Float regenerateValue;

    /**
     * 站房仪器表id
     */
    @ApiModelProperty(value = "站房仪器表id", required = true)
    @TableField
    private String siteDeviceId;

    /**
     * fcid
     */
    @ApiModelProperty(value = "因子fcid", required = true)
    @TableField
    private String fcid;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间", required = true)
    @TableField(value = "LastModifiedTime")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date lastModifiedTime;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间", required = true)
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date saveTime;
}
