package more.ssaqms.xiamen.model.data;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2021/7/1 13:38
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_data_site_radar")
public class RadarData {

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id", required = true)
    @TableId
    private String id;

    /**
     * 数据时间
     */
    @ApiModelProperty(value = "数据时间", required = true)
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date dataTime;

    /**
     * 站房id
     */
    @ApiModelProperty(value = "站房id", required = true)
    @TableField
    private String siteId;

    /**
     * 站房仪器表id
     */
    @ApiModelProperty(value = "站房仪器表id", required = true)
    @TableField
    private String siteDeviceId;

    /**
     * 因子id
     */
    @ApiModelProperty(value = "因子id", required = true)
    @TableField
    private String factorId;

    /**
     * fcid
     */
    @ApiModelProperty(value = "因子fcid", required = true)
    @TableField
    private String fcid;

    /**
     * 高度
     */
    @ApiModelProperty(value = "高度", required = true)
    @TableField
    private String height;

    /**
     * 数采因子值(有从新生成的显示从新生成值,没有就显示原始值)
     */
    @ApiModelProperty(value = "数采因子值(有从新生成的显示从新生成值,没有就显示原始值)", required = true)
    @TableField
    private String dasValue;

    /**
     * 数采标签
     */
    @ApiModelProperty(value = "数采标签", required = true)
    @TableField
    private String dasFlag;

    /**
     * 数采因子值(有从新生成的显示从新生成值,没有就显示原始值)
     */
    @ApiModelProperty(value = "数采因子值(有从新生成的显示从新生成值,没有就显示原始值)", required = true)
    @TableField
    private String autoValue;

    /**
     * 数采标签
     */
    @ApiModelProperty(value = "数采标签", required = true)
    @TableField
    private String autoFlag;

    /**
     * 最终审核结果
     */
    @ApiModelProperty(value = "最终审核结果", required = true)
    @TableField(value = "`audit_flag`")
    private String auditFlag;

    /**
     * 最终审核结果备注
     */
    @ApiModelProperty(value = "最终审核结果备注", required = true)
    @TableField
    private String auditComment;

    /**
     * 是否审核完成
     */
    @ApiModelProperty(value = "是否审核完成", required = true)
    @TableField
    private Boolean isAuditCompleted;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间", required = true)
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date lastModifiedTime;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间", required = true)
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date saveTime;

    public RadarData() {
    }

    public RadarData(Date dataTime, String dasValue, String auditFlag, String auditComment,Boolean isAuditCompleted) {
        this.dataTime = dataTime;
        this.dasValue = dasValue;
        this.auditFlag = auditFlag;
        this.auditComment = auditComment;
        this.isAuditCompleted = isAuditCompleted;
    }
}
