package more.ssaqms.xiamen.model.data;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2021/7/15 18:52
 */
@ApiModel(value = "数据查询接收参数模型")
@Data
@ToString
@Accessors(chain = true)
public class RadarDataReceive {

    @NotNull
    @ApiModelProperty(value = "查询开始时间", required = true)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date beginTime;

    @NotNull
    @ApiModelProperty(value = "查询结束时间", required = true)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "站点设备Id", required = true)
    @NotNull
    private String siteDeviceId;

    @ApiModelProperty(value = "dataType")
    private String dataType;
}
