package more.ssaqms.xiamen.model.data;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2020/7/31 15:47
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_data_status_normal")
public class StatusData {

    /**
     * 主键Id
     */
    @ApiModelProperty(value = "主键id")
    @TableId
    private String id;

    /**
     * 时间
     */
    @ApiModelProperty(value = "数据时间")
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date dataTime;


    /**
     * SiteId
     */
    @ApiModelProperty(value = "站房id")
    @TableField
    private String siteId;

    /**
     * siteDeviceId
     */
    @ApiModelProperty(value = "站点设备id")
    @TableField
    private String siteDeviceId;

    /**
     * device_status_id
     */
    @ApiModelProperty(value = "设备状态id")
    @TableField
    private String deviceStatusId;

    /**
     * siteDeviceStatus_Id
     */
    @ApiModelProperty(value = "站点设备状态id")
    @TableField
    private String siteDeviceStatusId;

    /**
     * 值
     */
    @ApiModelProperty(value = "值")
    @TableField
    private Float value;

    /**
     * AlarmMin
     */
    @ApiModelProperty(value = "当时设置的告警最小值")
    @TableField
    private Float alarmMin;

    /**
     * AlarmMax
     */
    @ApiModelProperty(value = "当时设置的告警最大值")
    @TableField
    private Float alarmMax;

    /**
     * IsAlarm
     */
    @ApiModelProperty(value = "是否报警")
    @TableField
    private Boolean isAlarm;
}
