package more.ssaqms.xiamen.model.data;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2021/7/15 18:52
 */
@ApiModel(value = "状态数据查询接收参数模型")
@Data
@ToString
@Accessors(chain = true)
public class StatusDataReceive {

    @NotNull
    @ApiModelProperty(value = "查询开始时间", required = true)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date beginTime;

    @NotNull
    @ApiModelProperty(value = "查询结束时间", required = true)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "数据查询使用,获取查询设备和查询因子")
    private List<SiteDeviceStatusReceive> siteDevices;

    @ApiModelProperty(value = "站点ids")
    private List<String> siteIds;

    @ApiModelProperty(value = "因子ids")
    private List<String> statusIds;

    @ApiModelProperty(value = "是否告警数据（true为告警数据，false为不告警数据，不传为所有数据）",hidden = true)
    private Boolean isAlarm;
}
