package more.ssaqms.xiamen.model.device;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Map;
import java.util.Objects;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2021/6/9 17:50
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_device_category")
public class DeviceCategory {
    /**
     * 主键
     */
    @ApiModelProperty(value = "主键", required = true)
    @TableId
    private Long id;

    /**
     * 父Id
     */
    @ApiModelProperty(value = "父Id", required = true)
    @TableField
    private Long parentId;

    /**
     * 分类名
     */
    @ApiModelProperty(value = "仪器类型名称", required = true)
    @TableField
    @NotBlank
    private String name;

    /**
     * 类型：0：服务器下载；1：自定
     */
    @ApiModelProperty(value = "类型：0：服务器下载；1：自定", required = true)
    @TableField
    @NotNull
    private Integer type;

    public DeviceCategory() {
    }

    public DeviceCategory(Map<String, Object> deviceType, Map<String, Long> map) {
        this.id = Long.valueOf(deviceType.get("bin").toString());
        this.parentId = Objects.isNull(deviceType.get("parentId")) ? null : map.get(deviceType.get("parentId").toString());
        this.name = deviceType.get("name").toString();
        this.type = 0;
    }
}
