package more.ssaqms.xiamen.model.device;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import java.util.Map;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2021/6/9 18:48
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_device_factor")
public class DeviceFactor {

    /**
     * 设备ID
     */
    @ApiModelProperty(value = "设备ID", required = true)
    @TableId
    @NotBlank
    private String deviceId;

    /**
     * 因子ID
     */
    @ApiModelProperty(value = "因子ID", required = true)
    @TableId
    @NotBlank
    private String factorId;

    public DeviceFactor() {
    }

    public DeviceFactor(Map<String, Object> deviceFactor) {
        this.deviceId = deviceFactor.get("deviceId").toString();
        this.factorId = deviceFactor.get("factorId").toString();
    }
}

