package more.ssaqms.xiamen.model.dictionary;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;

/**
 * @author zuo
 * @date 2022/9/6 19:20
 */
@ApiModel(value = "图标实体类模型")
@Data
@ToString
@Accessors(chain = true)
@TableName(value = "t_icon")
public class Icon {

    @ApiModelProperty(value = "区域id")
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "图标字符")
    @NotBlank(message = "图标字符，不能为空")
    @TableField
    private String icon;

    @ApiModelProperty(value = "类型，归属")
    @NotBlank(message = "类型，归属，不能为空")
    @TableField
    private String type;

    @ApiModelProperty(value = "名称")
    @TableField
    private String name;
}
