package more.ssaqms.xiamen.model.download;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @author zuo
 * @date 2022/12/7 15:07
 */

@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_nmc_data")
public class NmcData {

    @ApiModelProperty(value = "1. 天气形势分析、2. 卫星云图分析、3. 雷达图分析、4. 降水量分析、5. 风场分析、6. 气温场分析、7. 能见度分析")
    @TableField
    private Integer type;

    @ApiModelProperty(value = "层次、高度、类别等信息")
    @TableField
    private String category;

    @ApiModelProperty(value = "数据时间")
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date time;

    @ApiModelProperty(value = "数据位置")
    @TableId(type = IdType.INPUT)
    private String path;

}
