package more.ssaqms.xiamen.model.ekma;

import lombok.Data;

/**
 * @author zuo
 * @date 2023/9/20 18:13
 */
@Data
public class EkmaInputData {

    private Object[][] reac;

    private String city;

    private Integer d;

    private Object[][] depo;

    private Object[][] diluTion;

    private Object[] emis;

    private Object[] ifrACtion;

    private Object[][] isopFactor;

    private String[] isopPlot;

    private String key;

    private Float lat;

    private Float lon;

    private Integer m;

    private Integer tZone;

    private Object[] temp;

    private Integer[] time;

    private String title;

    private Object[][] tranSport;

    private Integer y;

    public EkmaInputData() {
        this.reac = new Object[][]{
                {"ETH", 0.042, 0.222, 0.222},
                {"HC3", 0.107, 0.194, 0.194},
                {"HC5", 0.142, 0.118, 0.118},
                {"HC8", 0.147, 0.037, 0.037},
                {"OL2", 0.037, 0.034, 0.034},
                {"OLT", 0.058, 0.023, 0.023},
                {"OLI", 0.032, 0.0, 0.0},
                {"TOL", 0.089, 0.051, 0.051},
                {"XYL", 0.135, 0.029, 0.029},
                {"HCHO", 0.02, 0.07, 0.07},
                {"ALD", 0.03, 0.037, 0.037},
                {"NR", 0.161, 0.185, 0.185},
                {"ISO", 0.0, 0.0, 0.0}
        };
        this.city = "Philadelphia";
        this.d = 15;
        this.depo = new Object[][]{
                {"NO2", new Object[]{0.48, 0.54, 0.6, 0.6, 0.6, 0.6, 0.6, 0.6, 0.54, 0.48, 0.36, 0.24}},
                {"O3", new Object[]{0.6, 0.7, 0.8, 0.8, 0.8, 0.8, 0.8, 0.8, 0.7, 0.6, 0.5, 0.3}},
                {"HNO3", new Object[]{3, 3.3, 3.5, 3.5, 3.5, 3.5, 3.5, 3.5, 3.3, 3.2, 3, 2.6}},
                {"H2O2", new Object[]{1.8, 1.9, 2, 2, 2, 2, 2, 2, 1.9, 1.8, 1.7, 1.6}},
                {"PAN", new Object[]{0.48, 0.54, 0.6, 0.6, 0.6, 0.6, 0.6, 0.6, 0.54, 0.48, 0.36, 0.24}}
        };
        this.diluTion = new Object[][]{
                {"MHINITIAL", 300},
                {"MHFINAL", 1300},
                {"TINIT", 8},
                {"TFINAL", 1600},
        };

        this.emis = new Object[][]{
                {"VOC", new Object[]{0.38, 0.27, 0.22, 0.18, 0.14, 0.07, 0.06, 0.02, 0.01, 0.01}},
//                {"NOX", new Object[]{0.68, 0.49, 0.4, 0.32, 0.25, 0.13, 0.11, 0.04, 0.02, 0.02}},
//                {"CO", new Object[]{0.38, 0.27, 0.22, 0.18, 0.14, 0.07, 0.06, 0.02, 0.01, 0.01}}
        };

        this.key = "1122339_20230919";

        this.ifrACtion = new Object[]{"NO2", 0.25};

        this.isopFactor = new Object[][]{{"VOCMAX", 2}, {"NOXMAX", 0.28},{"CO", 1.2}};

        this.isopPlot = new String[]{"O3", "PAN", "HNO3", "HCHO", "HO", "HO2", "H2O2"};

        this.lat = 40f;

        this.lon = 75f;

        this.m = 7;

        this.tZone = 4;

        this.temp = new Object[]{292, 294, 296, 298, 300, 301, 303, 303, 303, 301, 299, 296, 295};

        this.time = new Integer[]{8,20};

        this.title = "EXAMPLE 1 - Sample Calculation Using cm RADM mechanism";

        this.tranSport = new Object[][]{{"O3ALoft", 0.05},{"VOCALoft", 0.025},{"COAL", 0.5}};

        this.y = 1986;
    }
}
