package more.ssaqms.xiamen.model.env;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author zuo
 * @date 2022/7/1 15:03
 */
@Data
public class EnvData {

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    private String id;

    /**
     * 数据时间
     */
    @ApiModelProperty(value = "数据时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date dataTime;

    /**
     * site_id
     */
    @ApiModelProperty(value = "站房id")
    private String siteId;

    /**
     * 因子id
     */
    @ApiModelProperty(value = "因子id")
    private String factorId;

    /**
     * 动环值
     */
    @ApiModelProperty(value = "动环值")
    private Float value;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date lastModifiedTime;

    /**
     * 保存时间
     */
    @ApiModelProperty(value = "保存时间", required = true)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date saveTime;
}
