package more.ssaqms.xiamen.model.env;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;
import more.ssaqms.xiamen.model.upload.UploadArea;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * @author zuo
 * @date 2022/6/30 11:53
 */
@ApiModel(value = "动环区域数据模型")
@Data
@ToString
@Accessors(chain = true)
@TableName(value = "t_evn_site_area")
public class EnvSiteArea {

    @ApiModelProperty(value = "区域id")
    @NotBlank(message = "id不能为空")
    @TableId
    private String id;

    @ApiModelProperty(value = "站房id")
    @NotBlank(message = "站房id不能为空")
    @TableId
    private String siteId;

    @ApiModelProperty(value = "父id，同站点情况下")
    @TableField
    private String parentId;

    @ApiModelProperty(value = "区域名称")
    @TableField
    @NotBlank(message = "区域名称，不能为空")
    private String name;

    @ApiModelProperty(value = "是否删除")
    @TableField
    private Boolean isDelete;

    @ApiModelProperty(value = "区域对应的因子列表")
    @TableField(exist = false)
    private List<String> factorIds;

    public EnvSiteArea() {
    }

    public EnvSiteArea(UploadArea uploadArea, String siteId) {
        this.id = uploadArea.getId();
        this.siteId = siteId;
        this.parentId = uploadArea.getParentId();
        this.name = uploadArea.getName();
        this.isDelete = false;
    }
}
