package more.ssaqms.xiamen.model.env;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;
import more.ssaqms.xiamen.model.upload.UploadAreasFactor;

import javax.validation.constraints.NotBlank;

/**
 * @author zuo
 * @date 2022/6/30 11:54
 */
@ApiModel(value = "动环因子区域关系数据模型")
@Data
@ToString
@Accessors(chain = true)
@TableName(value = "t_evn_site_area_factor")
public class EnvSiteAreaFactor {

    @ApiModelProperty(value = "因子id")
    @NotBlank(message = "站点id不能为空")
    @TableId
    private String siteId;

    @ApiModelProperty(value = "因子id")
    @NotBlank(message = "区域id不能为空")
    @TableId
    private String areaId;

    @ApiModelProperty(value = "因子id")
    @NotBlank(message = "因子id不能为空")
    @TableId
    private String factorId;

    public EnvSiteAreaFactor() {
    }

    public EnvSiteAreaFactor(UploadAreasFactor uploadAreasFactor, String siteId) {
        this.siteId = siteId;
        this.areaId = uploadAreasFactor.getAreaId();
        this.factorId = uploadAreasFactor.getFactorId();
    }
}
