package more.ssaqms.xiamen.model.env;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;
import more.ssaqms.xiamen.model.upload.UploadFactor;

import javax.validation.constraints.NotBlank;

/**
 * @author zuo
 * @date 2022/6/30 11:53
 */
@ApiModel(value = "动环因子数据模型")
@Data
@ToString
@Accessors(chain = true)
@TableName(value = "t_evn_site_factor")
public class EnvSiteFactor {

    /**
     * 主键
     */
    @ApiModelProperty(value = "因子id")
    @NotBlank(message = "因子id不能为空")
    @TableId
    private String id;

    /**
     * 站点id
     */
    @ApiModelProperty(value = "站房id")
    @NotBlank(message = "站房id不能为空")
    @TableId
    private String siteId;

    /**
     * 因子名称
     */
    @ApiModelProperty(value = "因子名称")
//    @NotBlank(message = "因子名称不能为空")
    @TableField
    private String name;

    /**
     * 单位
     */
    @ApiModelProperty(value = "单位")
    @TableField
    private String stdUnit;

    /**
     * 显示单位
     */
    @ApiModelProperty(value = "显示单位")
    @TableField
    private String displayUnit;

    /**
     * 所有单位
     */
    @ApiModelProperty(value = "所有单位")
    @TableField
    private String allUnits;

    /**
     * 分子量
     */
    @ApiModelProperty(value = "分子量")
    @TableField
    private float molecular;

    /**
     * 保留小数位数
     */
    @ApiModelProperty(value = "保留小数位数")
    @TableField
    private Integer decimalNum;

    /**
     * 是否删除
     */
    @ApiModelProperty(value = "是否删除")
    @TableField
    private Boolean isDelete;

    /**
     * 因子分组id
     */
    @ApiModelProperty(value = "因子分组id")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String categoryId;

    /**
     * 状态，是否显示数据
     */
    @ApiModelProperty(value = "状态，是否显示数据")
    @TableField
    private Boolean status;

    public EnvSiteFactor() {
    }

    public EnvSiteFactor(UploadFactor uploadFactor, String siteId) {
        this.id = uploadFactor.getId();
        this.siteId = siteId;
        this.name = uploadFactor.getName();
        this.stdUnit = uploadFactor.getUnit();
        this.displayUnit = uploadFactor.getDisplayUnit();
        this.allUnits = uploadFactor.getUnits();
        this.decimalNum = uploadFactor.getDecimalCount();
        this.molecular = uploadFactor.getWeight();
        this.isDelete = false;
        this.categoryId = uploadFactor.getCategoryId();
        this.status = true;
    }
}
