package more.ssaqms.xiamen.model.env;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;

/**
 * @author zuo
 * @date 2022/8/31 10:49
 */
@ApiModel(value = "动环因子分类数据模型")
@Data
@ToString
@Accessors(chain = true)
@TableName(value = "t_evn_factor_category")
public class EvnFactorCategory {

    @ApiModelProperty(value = "主键")
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "分类名称")
    @NotBlank(message = "分类名称，不能为空")
    @TableField
    private String name;

    @ApiModelProperty(value = "图标id")
    @TableField
    private String iconId;

    @ApiModelProperty(value = "图标")
    @TableField(exist = false)
    private String icon;

    @ApiModelProperty(value = "图标名称")
    @TableField(exist = false)
    private String iconName;
}
