package more.ssaqms.xiamen.model.factor;

import lombok.Data;

import java.util.Map;

/**
 * @author zuo
 * @date 2024/1/29 11:43
 */

@Data
public class Dimension {
    private String id;

    private String displayName;

    private String stdUnit;

    private String displayUnit;

    private String displayUnit1;

    private Float molecular;

    private String groupId;

    private String color;

    private Map<String,Object> seriesParam;

    private Boolean singleY;

    private Boolean showMin;

    private Boolean showMax;

    public Dimension() {
    }

    public Dimension(Factor factor) {
        this.id = factor.getId();
        this.displayName = factor.getDisplayName();
        this.stdUnit = factor.getStdUnit();
        this.displayUnit = factor.getDisplayUnit();
        this.displayUnit1 = factor.getDisplayUnit1();
        this.molecular = factor.getMolecular();
        this.groupId = factor.getGroupId();
        this.color = factor.getColor();
    }

    public Dimension(FactorGroup factorGroup) {
        this.id = factorGroup.getId();
        this.displayName = factorGroup.getName();
        this.stdUnit = "ppb";
        this.displayUnit = "μg/m3";
    }
}
