package more.ssaqms.xiamen.model.factor;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2021/4/3 18:23
 */
@ApiModel(value = "别名与物质标准名称对应表数据模型")
@Data
@ToString
@Accessors(chain = true)
@TableName(value = "t_factor_alias_standard_name")
public class FactorAliasStandardName {

    @ApiModelProperty(value = "别名", required = true)
    @TableId
    private String alias;

    @ApiModelProperty(value = "因子Id", required = true)
    @TableField
    private String factorId;

    @ApiModelProperty(value = "因子Id", hidden = true)
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date createTime;
}
