package more.ssaqms.xiamen.model.factor;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Map;
import java.util.Objects;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2021/6/10 10:00
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_factor_group")
public class FactorGroup {
    /**
     * 主键
     */
    @ApiModelProperty(value = "主键", required = true)
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 分组名称
     */
    @ApiModelProperty(value = "分组名称", required = true)
    @TableField
    @NotBlank
    private String name;

    /**
     * 分组类型
     */
    @ApiModelProperty(value = "分组类型", required = true)
    @TableField
    @NotNull
    private Integer type;

    /**
     * 状态(使用,禁用)
     */
    @ApiModelProperty(value = "状态(使用,禁用)", required = true)
    @TableField
    @NotNull
    private Boolean status;

    /**
     * 父目录
     */
    @ApiModelProperty(value = "父目录", required = true)
    @TableField
    private String parentId;

    /**
     * 说明
     */
    @ApiModelProperty(value = "说明", required = true)
    @TableField
    private String comments;

    public FactorGroup() {
    }

    public FactorGroup(Map<String, Object> factorGroup) {
        this.id = factorGroup.get("id").toString();
        this.name = factorGroup.get("name").toString();
        this.parentId = Objects.isNull(factorGroup.get("parentId")) ? null : factorGroup.get("parentId").toString();
        this.type = 0;
        this.status = true;
    }
}
