package more.ssaqms.xiamen.model.forecast;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2021/7/7 12:09
 */
@ApiModel(value = "站点预测数据模型")
@Data
@ToString
@Accessors(chain = true)
@TableName(value = "t_forecast_site_data")
public class ForecastDomainData {

    /**
     * 数据时间
     */
    @ApiModelProperty(value = "数据时间", required = true)
    @TableId
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date dataTime;

    /**
     * 值
     */
    @ApiModelProperty(value = "值")
    @TableField
    private Float value;

    /**
     * 值
     */
    @ApiModelProperty(value = "Latitude")
    @TableField
    private Float Latitude;

    /**
     * 值
     */
    @ApiModelProperty(value = "Longitude")
    @TableField
    private Float Longitude;

    /**
     * 是否审核完成
     */
    @ApiModelProperty(value = "type")
    @TableId
    private String type;

    public ForecastDomainData() {
    }
}
