package more.ssaqms.xiamen.model.forecast;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2021/7/7 12:09
 */
@ApiModel(value = "站点预测数据模型")
@Data
@ToString
@Accessors(chain = true)
@TableName(value = "t_forecast_domain_json")
public class ForecastDomainJson {

    @ApiModelProperty(value = "图片路径")
    @TableId(type = IdType.INPUT)
    private String path;

    /**
     * 数据时间
     */
    @ApiModelProperty(value = "预测时间", required = true)
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd")
    private Date forecastTime;

    /**
     * 类型
     */
    @ApiModelProperty(value = "type")
    @TableField
    private String type;

    public ForecastDomainJson() {
    }
}
