package more.ssaqms.xiamen.model.forecast;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @author zuo
 * @date 2024/2/18 14:38
 */

@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_forecast_png_data")
public class ForecastPngData {

    @ApiModelProperty(value = "图片路径")
    @TableId
    private String path;

    @ApiModelProperty(value = "预测时间")
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd")
    private Date forecastTime;

    @ApiModelProperty(value = "数据时间")
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date dataTime;

    @ApiModelProperty(value = "图片最小纬度")
    @TableField
    private Float lonMin;

    @ApiModelProperty(value = "图片最大纬度")
    @TableField
    private Float lonMax;

    @ApiModelProperty(value = "图片最小经度")
    @TableField
    private Float latMin;

    @ApiModelProperty(value = "图片最大经度")
    @TableField
    private Float latMax;

    @ApiModelProperty(value = "图片类别（风速、风向、so2等）")
    @TableField
    private String type;

    @ApiModelProperty(value = "因子id")
    @TableField
    private String factorId;

    @ApiModelProperty(value = "精细度（12km图，4km图）")
    @TableField
    private String fineness;

    @ApiModelProperty(value = "时间粒度")
    @TableField
    private String granularity;
}
