package more.ssaqms.xiamen.model.forecast;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.Date;
import java.util.List;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2021/8/9 16:52
 */
@Data
@Accessors(chain = true)
public class ForecastSiteAqiReceive {

    @ApiModelProperty(value = "开始时间", required = true)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd")
    private Date forecastTime;

    @ApiModelProperty(value = "开始时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date beginTime;

    @ApiModelProperty(value = "结束时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "粒度(1,24)", required = true)
    @NotNull
    private Integer granularity;

    @ApiModelProperty(value = "是否站点合并计算", required = true)
    @NotNull
    private Boolean isSiteMerge;

    @ApiModelProperty(value = "查询站点,空为所有站点", required = true)
    @NotNull
    @Size(min = 1)
    private List<String> siteIds;

    public ForecastSiteAqiReceive() {
    }
}
