package more.ssaqms.xiamen.model.forecast;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;
import more.ssaqms.xiamen.model.statistics.AqiData;

import java.util.Date;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2021/7/7 12:09
 */
@ApiModel(value = "站点预测数据模型")
@Data
@ToString
@Accessors(chain = true)
@TableName(value = "t_forecast_site_data")
public class ForecastSiteData {

    @ApiModelProperty(value = "预测时间")
    @TableId
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd")
    private Date forecastTime;

    /**
     * 数据时间
     */
    @ApiModelProperty(value = "数据时间", required = true)
    @TableId
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date dataTime;

    /**
     * 站房id
     */
    @ApiModelProperty(value = "站房id", required = true)
    @TableId
    private String siteId;

    /**
     * 因子Id
     */
    @ApiModelProperty(value = "因子Id")
    @TableField
    private String factorId;

    /**
     * rootFactorId
     */
    @ApiModelProperty(value = "rootFactorId")
    @TableField
    private String rootFactorId;

    /**
     * 值
     */
    @ApiModelProperty(value = "值", required = true)
    @TableField
    private Float value;

    /**
     * 是否审核完成
     */
    @ApiModelProperty(value = "type", required = true)
    @TableId
    private String type;

    public ForecastSiteData() {
    }

    public ForecastSiteData(AqiData aqiData) {
        this.dataTime = aqiData.getDataTime();
        this.siteId = aqiData.getSiteId();
        this.factorId = aqiData.getFactorId();
        this.rootFactorId = aqiData.getRootFactorId();
        this.value = aqiData.getValue();
        this.type = aqiData.getRootFactorId();
    }
}
