package more.ssaqms.xiamen.model.forecast;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @author zuo
 * @date 2024/5/24 10:09
 */
@ApiModel(value = "预测数据参数调整系数")
@Data
@ToString
@Accessors(chain = true)
@TableName(value = "predicted_data_coefficient")
public class PredictedDataCoefficient {

    /**
     * 因子Id
     */
    @ApiModelProperty(value = "因子Id")
    @TableField
    private String factorId;

    /**
     * 因子Id
     */
    @ApiModelProperty(value = "因子名称")
    @TableField
    private String factorName;

    /**
     * 站房id
     */
    @ApiModelProperty(value = "回归方程a")
    @TableId
    private Float a;


    /**
     * 站房id
     */
    @ApiModelProperty(value = "回归方程b")
    @TableId
    private Float b;

    @ApiModelProperty(value = "开始时间")
    @TableField
    private Date beginDate;

    @ApiModelProperty(value = "结束时间")
    @TableField
    private Date endDate;
}
