package more.ssaqms.xiamen.model.jwt;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import more.ssaqms.xiamen.model.statistics.AqiData;

import java.util.Date;

/**
 * @author zuo
 * @date 2023/8/15 12:52
 */
@Data
public class ExternalAqiData {

    private String siteId;

    private String siteName;

    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd")
    private Date dateTime;

    private String airQuality;

    private Float aqi;

    private Float comprehensiveIndex;

    private Integer grade;

    private String primaryPollutant;

    public ExternalAqiData() {
    }

    public ExternalAqiData(AqiData aqiData, String siteName, String airQuality, Float compositeIndexValue) {
        this.siteId = aqiData.getSiteId();
        this.siteName = siteName;
        this.dateTime = aqiData.getDataTime();
        this.airQuality = airQuality;
        this.aqi = aqiData.getAqi();
        this.comprehensiveIndex = compositeIndexValue;
        this.grade = aqiData.getGrade();
        this.primaryPollutant = aqiData.getPrimaryPollutant();
    }
}
