package more.ssaqms.xiamen.model.operation.control;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import java.util.Date;

/**
 * @Author zuo
 * @Date 2021/10/21 14:21
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_anti_control")
public class AntiControl {

    @ApiModelProperty(value = "主键")
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "站房ID", required = true)
    @NotBlank
    @TableField
    private String siteId;

    @ApiModelProperty(value = "站房mn号", required = true)
    @NotBlank
    @TableField
    private String mn;

    @ApiModelProperty(value = "任务编号(远程启动质控任务使用)")
    @TableField
    private String taskCode;

    @ApiModelProperty(value = "开始时间")
    @TableField
    private String beginTime;

    @ApiModelProperty(value = "结束时间")
    @TableField
    private String endTime;

    @ApiModelProperty(value = "数据类型,提取监测因子数据专用(1: 2011、5: 2051、60: 2061)")
    @TableField
    private Integer dataType;

    @ApiModelProperty(value = "反控内容,1.重启下位机,2.远程启动质控任务,3.远程提取仪器状态参数,4.设置现场机时间,5.提取监测因子数据", hidden = true)
    @TableField
    private Integer type;

    @ApiModelProperty(value = "创建人", hidden = true)
    @TableField
    private Integer creator;

    @ApiModelProperty(value = "创建人名称", hidden = true)
    @TableField(exist = false)
    private String creatorName;

    @ApiModelProperty(value = "创建时间", hidden = true)
    @TableField
    private Date createTime;

    @ApiModelProperty(value = "反馈", hidden = true)
    @TableField
    private Integer feedback;

    @ApiModelProperty(value = "212反馈信息", hidden = true)
    @TableField
    private String qnRtn;

    @ApiModelProperty(value = "212反馈信息", hidden = true)
    @TableField
    private String exeRtn;
}
