package more.ssaqms.xiamen.model.operation.integral;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;
import org.springframework.web.multipart.MultipartFile;

import java.util.Date;

/**
 * @Author zuo
 * @Date 2021/10/25 17:32
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_multiple_integral_data")
public class IntegralData {

    @ApiModelProperty(value = "站房ID")
    @TableId
    private String siteId;

    @ApiModelProperty(value = "站房设备id")
    @TableField
    private String siteDeviceId;

    @ApiModelProperty(value = "因子id")
    @TableField
    private String factorId;

    @ApiModelProperty(value = "上传因子名称")
    @TableId
    private String factorName;

    @ApiModelProperty(value = "数据时间")
    @TableId
    private Date dataTime;

    @ApiModelProperty(value = "重积分值")
    @TableField
    private Float value;

    @ApiModelProperty(value = "审核重新计算后，如果有重积分数，这里保存原始的重积分数据值，value里保存重新计算值")
    @TableField
    private Float originalValue;

    @ApiModelProperty(value = "别名")
    @TableField(exist = false)
    private String aliasName;

    @ApiModelProperty(value = "导入文件")
    @TableField(exist = false)
    private MultipartFile file;

    @ApiModelProperty(value = "审核时间")
    @TableField(exist = false)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd")
    private Date auditTime;

    public IntegralData() {
    }

    public IntegralData(TemporaryIntegralData temporaryIntegralData) {
        this.siteId = temporaryIntegralData.getSiteId();
        this.siteDeviceId = temporaryIntegralData.getSiteDeviceId();
        this.factorId = temporaryIntegralData.getFactorId();
        this.factorName = temporaryIntegralData.getFactorName();
        this.dataTime = temporaryIntegralData.getDataTime();
        this.value = temporaryIntegralData.getValue();
        this.aliasName = temporaryIntegralData.getAliasName();
    }
}
