package more.ssaqms.xiamen.model.operation.integral;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @Author zuo
 * @Date 2021/10/25 17:32
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_temporary_integral_data")
public class TemporaryIntegralData {

    @ApiModelProperty(value = "站房ID")
    @TableId
    private String siteId;

    @ApiModelProperty(value = "站房设备id")
    @TableField
    private String siteDeviceId;

    @ApiModelProperty(value = "因子id")
    @TableField
    private String factorId;

    @ApiModelProperty(value = "上传因子名称")
    @TableId
    private String factorName;

    @ApiModelProperty(value = "数据时间")
    @TableId
    private Date dataTime;

    @ApiModelProperty(value = "重积分值")
    @TableField
    @TableId(value = "`value`")
    private Float value;

    @ApiModelProperty(value = "别名")
    @TableField
    private String aliasName;

    @ApiModelProperty(value = "key")
    @TableId(value = "`key`")
    private String keyStr;

    public TemporaryIntegralData(IntegralData integralData, String keyStr) {
        this.siteId = integralData.getSiteId();
        this.siteDeviceId = integralData.getSiteDeviceId();
        this.factorId = integralData.getFactorId();
        this.factorName = integralData.getFactorName();
        this.dataTime = integralData.getDataTime();
        this.value = integralData.getValue();
        this.aliasName = integralData.getAliasName();
        this.keyStr = keyStr;
    }

    public TemporaryIntegralData() {
    }
}
