package more.ssaqms.xiamen.model.org;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author purpose
 * @version 1.0
 * @date 2021/6/2 6:56 上午
 */
@ApiModel(value = "组织数据模型")
@Data
@ToString
@Accessors(chain = true)
@TableName(value = "t_org")
public class Org {

    @ApiModelProperty(value = "组织主键")
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "组织名称", required = true)
    @NotBlank
    @TableField
    private String name;

    @ApiModelProperty(value = "组织联系人")
    @TableField
    private String contactName;

    @ApiModelProperty(value = "组织邮箱")
    @TableField
    private String email;

    @ApiModelProperty(value = "组织状态: 0.关闭 1.开启", required = true)
    @TableField
    private Boolean status;

    @ApiModelProperty(value = "组织类型1.业主;2.运维", required = true)
    @TableField
    @NotNull
    private Integer typeId;

    @ApiModelProperty(value = "运维组织对应的站点设备Ids", required = true)
    @TableField(exist = false)
    private List<String> siteDeviceIds;

//    @ApiModelProperty(value = "用于保存查询人的设备权限，和查询对象的勾选情况", required = true)
//    @TableField(exist = false)
//    private Map<String,Boolean> siteDevices;
}
