package more.ssaqms.xiamen.model.org;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2021/6/21 16:38
 */
@ApiModel(value = "组织类型数据模型")
@Data
@ToString
@Accessors(chain = true)
@TableName(value = "t_org_type")
public class OrgType {

    @ApiModelProperty(value = "组织类型主键")
    @TableId
    private Integer id;

    @ApiModelProperty(value = "组织类型名称", required = true)
    @NotBlank
    @TableField
    private String name;

    public OrgType(Integer id, @NotBlank String name) {
        this.id = id;
        this.name = name;
    }
}
