package more.ssaqms.xiamen.model.pmf;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author zuo
 * @date 2023/1/11 14:14
 */
@Data
public class CheckSignModel {

    @NotNull(message = "time不能为空")
    @ApiModelProperty(value = "time", required = true)
    private Long time;

    @NotBlank(message = "签名不能为空")
    @ApiModelProperty(value = "签名", required = true)
    private String sign;

    public CheckSignModel() {
    }

    public CheckSignModel(DataAccessModel dataAccessModel) {
        this.time = dataAccessModel.getTime();
        this.sign = dataAccessModel.getSign();
    }
}
