package more.ssaqms.xiamen.model.pmf;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author zuo
 * @date 2023/1/11 17:03
 */
@ApiModel(value = "PMF污染源数据模型")
@Data
@ToString
@Accessors(chain = true)
@TableName(value = "t_pmf_source")
public class PmfSource {

    @ApiModelProperty(value = "污染源id", required = true)
    @TableId(type = IdType.INPUT)
    @NotBlank(message = "污染源id，不能为空")
    private String id;

    @ApiModelProperty(value = "污染源类型 0颗粒物 1Voc", required = true)
    @NotNull(message = "污染源类型，不能为空")
    @TableField
    private Integer sourceType;

    @ApiModelProperty(value = "名称", required = true)
    @NotBlank(message = "名称，不能为空")
    @TableField
    private String name;

    @ApiModelProperty(value = "颜色", required = true)
    @NotBlank(message = "颜色，不能为空")
    @TableField
    private String color;

    @ApiModelProperty(value = "备注")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String note;
}
