package more.ssaqms.xiamen.model.pmf;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.Date;
import java.util.List;

/**
 * @author zuo
 * @date 2022/11/28 17:15
 */

@Data
public class QueryInput {

    /**
     * 开始时间
     */
    @NotNull(message = "开始时间不能为空")
    @ApiModelProperty(value = "查询开始时间", required = true)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date beginTime;

    /**
     * 结束时间
     */
    @NotNull(message = "结束时间不能为空")
    @ApiModelProperty(value = "查询结束时间", required = true)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /**
     * 站点Id
     */
    @NotBlank(message = "站点Id不能为空")
    @ApiModelProperty(value = "站点Id", required = true)
    private String SiteId;

    /**
     * 1原始数据 2审核数据 3混合
     */
    @NotNull(message = "auditType不能为空")
    @ApiModelProperty(value = "1原始数据 2审核数据 3混合", required = true)
//    @Pattern(regexp = "^[1-3]*$", message = "auditType参数不正确")
    private Integer auditType;

    /**
     * 时间间隔: 60小时均值 1440日均值
     */
    @NotNull(message = "时间间隔不能为空")
    @ApiModelProperty(value = "时间间隔: 60小时均值 144日均值", required = true)
//    @Pattern(regexp = "^[60,1440]*$", message = "时间间隔参数不正确")
    private Integer dataType;

    /**
     * 因子id
     */
    @NotNull(message = "因子id不能为空")
    @ApiModelProperty(value = "因子id", required = true)
    @Size(min = 1, message = "因子id,至少要有一个")
    private List<String> factorIds;
}
