package more.ssaqms.xiamen.model.quality;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2020/11/19 16:01
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_quality_control")
public class QualityControlData {

    /**
     * 数据时间
     */
    @ApiModelProperty(value = "数据时间", required = true)
    @TableField
    private String dataTime;

    /**
     * 站房ID
     */
    @ApiModelProperty(value = "站房ID", required = true)
    @TableField
    private String siteId;

    /**
     * 站房仪器表id
     */
    @ApiModelProperty(value = "qualityFactorCategoryId", required = true)
    @TableField
    private String qualityFactorCategoryId;

    /**
     * 因子Id
     */
    @ApiModelProperty(value = "因子Id", required = true)
    @TableField
    private String factorId;

    /**
     * 因子名称
     */
    @ApiModelProperty(value = "因子名称", required = true)
    @TableField
    private String factorName;

    /**
     * 质控项目1.单点检查;2.多点校准;4.检出限检查;8.精密度检查
     */
    @ApiModelProperty(value = "质控项目(1.单点检查;2.多点校准;4.检出限检查;8.精密度检查)", required = true)
    @TableField
    private Integer type;

    /**
     * 值
     */
    @ApiModelProperty(value = "值", required = true)
    @TableField
    private Float value;

    /**
     * 修改人userId
     */
    @ApiModelProperty(value = "修改人userId", required = true)
    @JsonIgnore
    @TableField
    private Integer createBy;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间", required = true)
    @JsonIgnore
    @TableField
    private Date lastModifiedTime;

    /**
     * 值
     */
    @ApiModelProperty(value = "曲线最低点回测偏差(VOC-多点曲线用)")
    @TableField
    private Float deviation;

    /**
     * 值
     */
    @ApiModelProperty(value = "两次多点曲线之间的斜率比值,本次与上次的比值(VOC-多点曲线用)")
    @TableField
    private Float slopeRatio;

    /**
     * 值
     */
    @ApiModelProperty(value = "是否合格(VOC-单点质控使用)")
    @TableField
    private Boolean isPass;

    /**
     * 值
     */
    @ApiModelProperty(value = "响应值偏差(VOC-内标响应使用)")
    @TableField
    private Float responseDeviation;

    public QualityControlData() {
    }

    public QualityControlData(String dataTime, String siteId, String qualityFactorCategoryId, Integer type, Integer userId) {
        this.dataTime = dataTime;
        this.siteId = siteId;
        this.qualityFactorCategoryId = qualityFactorCategoryId;
        this.type = type;
        this.createBy = userId;
        this.lastModifiedTime = new Date();
    }
}
