package more.ssaqms.xiamen.model.reachGood;

import lombok.Data;
import more.ssaqms.xiamen.model.data.HistoricalData;
import more.ssaqms.xiamen.model.statistics.AvgData;

import java.util.List;
import java.util.Map;

/**
 * @author zuo
 * @date 2024/8/6 8:42
 */
@Data
public class ReachGoodParticleData {

    /**
     * 图12
     */
    private Map<String,Object> pmChartMap;

    /**
     * pm10、pm2.5当天小时浓度最大值需要时间和值，以及因子名称，key是因子id
     */
    private Map<String, HistoricalData> pmMaxMap;

    /**
     * pm10、pm2.5当天小时浓度最小值需要时间和值，以及因子名称，key是因子id
     */
    private Map<String, HistoricalData> pmMinMap;

    /**
     * 排名前三的离子组分,排好序
     */
    private List<AvgData> liAvgDataList;

    /**
     * 图13
     */
    private Map<String,Object> liChartMap;

    /**
     * oc最大的那条小时历史数据，只需要时间和值
     */
    private HistoricalData ocMax;

    /**
     * ec最大的那条小时历史数据，只需要时间和值
     */
    private HistoricalData ecMax;

    /**
     * 图14
     */
    private Map<String,Object> ocEcChartMap;

    /**
     * 无机元素均值,由于需要占比，需要素有无机元素均值,名字
     */
    private List<AvgData> jsAvgDataList;

    /**
     * 图15
     */
    private Map<String,Object> jsChartMap;

    /**
     * 单颗粒质谱均值统计后值由大道小排序，并且值是占比（百分比）要*100
     */
    private List<AvgData> klAvgDataList;

    /**
     * 图16
     */
    private Map<String, Object> klChartMap;

    /**
     * 图17
     */
    private Map<String, Object> klAvgPieChartMap;
}
