package more.ssaqms.xiamen.model.reachGood;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import more.ssaqms.xiamen.model.statistics.PollutantData;

import java.util.Date;

/**
 * @author zuo
 * @date 2024/7/29 12:54
 */
@Data
public class ReachGoodPollutantData {

    /**
     * 时间
     */
    @ApiModelProperty(value = "时间", hidden = true)
    private Date dataTime;

    /**
     * factorId
     */
    @ApiModelProperty(value = "站点", required = true)
    private String siteId;

    /**
     * factorId
     */
    @ApiModelProperty(value = "因子Id", required = true)
    private String factorId;

    /**
     * factorName
     */
    @ApiModelProperty(value = "因子名称", required = true)
    private String name;

    /**
     * value
     */
    @ApiModelProperty(value = "value", required = true)
    private Float value;

    public ReachGoodPollutantData() {
    }

    public ReachGoodPollutantData(PollutantData pollutantData) {
        this.dataTime = pollutantData.getDataTime();
        this.siteId = pollutantData.getSiteId();
        this.factorId = pollutantData.getFactorId();
        this.name = pollutantData.getRootFactorId();
        this.value = pollutantData.getValue();
    }
}
