package more.ssaqms.xiamen.model.reachGood;

import lombok.Data;
import more.ssaqms.xiamen.model.statistics.AvgData;
import more.ssaqms.xiamen.model.statistics.PollutantData;

import java.util.List;
import java.util.Map;

/**
 * @author zuo
 * @date 2024/7/30 11:23
 */
@Data
public class ReachGoodVocData {

    /**
     * 当天TVOC小时最大值，保留2位小数
     */
    private String maxTvocValue;

    /**
     * 当天TVOC均值，保留2位小数
     */
    private String avgTvocValue;

    /**
     * 图9 厦门超站VOCs化学组分浓度时间序列图
     */
    private Map<String, Object> groupLineChartMap;

    /**
     * 图9 厦门超站VOCs化学组分浓度百分占比图
     */
    private Map<String, Object> groupAvgPieChartMap;

    /**
     * 图10 厦门超站VOCs组分浓度贡献排名前十的物質
     */
    private List<AvgData> vocTop10AvgDataList;

    /**
     * 图9 厦门超站VOCs化学组分浓度时间序列图
     */
    private Map<String, Object> vocTop10AvgChartMap;


    /**
     * OFP top10
     */
    private List<PollutantData> pollutantData;

    /**
     * 图10 chart数据
     */
    private Map<String, Object> ofpTop10ChartMap;

}
