package more.ssaqms.xiamen.model.reachGood;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import more.ssaqms.xiamen.model.data.HistoricalData;
import more.ssaqms.xiamen.model.download.NmcData;

import java.util.List;
import java.util.Map;

/**
 * @author zuo
 * @date 2024/7/30 11:23
 */
@Data
public class ReachGoodWeatherData {

    /**
     * 地面时间和图的地址
     */
    @ApiModelProperty(value = "地面时间和图的地址", required = true)
    private List<NmcData> nmcDMDataList;

    /**
     * 500hPa时间和图的地址
     */
    @ApiModelProperty(value = "500hPa时间和图的地址", required = true)
    private List<NmcData> nmc500hPaDataList;

    /**
     * 厦门天气（多云、阴、晴 等）从和风天气中获取的
     */
    @ApiModelProperty(value = "厦门天气（多云、阴、晴 等）从和风天气中获取的", required = true)
    private String tq;

    /**
     * 气象参数最大，最小、均值
     */
    @ApiModelProperty(value = "气象参数最大，最小、均值", required = true)
    private List<WeatherQx> weatherQxList;

    /**
     * 图7 厦气象参数时间序列图数据
     */
    @ApiModelProperty(value = "图7 厦气象参数时间序列图数据", required = true)
    private Map<String, Object> weatherChartMap;

    /**
     * 光化学小时最大值，要有时间和值
     */
    @ApiModelProperty(value = "光化学小时最大值，要有时间和值", required = true)
    private Map<String, HistoricalData> photochemistryMaxMap;

    /**
     * 图8 厦门超站紫外辐射、PANs、光解速率时序图数据
     */
    @ApiModelProperty(value = "图8 厦门超站紫外辐射、PANs、光解速率时序图数据", required = true)
    private Map<String, Object> photochemistryChartMap;

    /**
     * 主導風
     */
    @ApiModelProperty(value = "主導風", required = true)
    private String wdString;

}
