package more.ssaqms.xiamen.model.report;

import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;
import more.ssaqms.xiamen.util.CalculationUtils;

/**
 * @author purpose
 * @version 1.0
 * @date 2023/5/4 6:15 下午
 */
@Data
@ToString
@Accessors(chain = true)
public class AvgCount {
  private int rowIndex;

  private int columnIndex;

  private float value = 0;

  private int count = 0;

  private ReportEffectiveFactorTypeEnum type;

  private String siteDeviceId;

  public AvgCount(int rowIndex, int columnIndex, float value, ReportEffectiveFactorTypeEnum type, String siteDeviceId) {
    this.rowIndex = rowIndex;
    this.columnIndex = columnIndex;
    this.type = type;
    this.siteDeviceId = siteDeviceId;
    this.setSum(value);
  }

  public void setSum(float value) {
    this.value += value;
    this.count++;
  }

  public float getAvg() {
    return CalculationUtils.digit2(this.value / this.count, 1);
  }
}
