package more.ssaqms.xiamen.model.report;

import lombok.Data;
import more.ssaqms.xiamen.model.factor.Factor;
import more.ssaqms.xiamen.model.factor.FactorGroup;
import more.ssaqms.xiamen.model.site.ReportSiteDevice;
import more.ssaqms.xiamen.model.site.Site;
import more.ssaqms.xiamen.model.site.SiteDeviceFactor;

import java.util.*;

/**
 * @author zuo
 * @date 2023/5/4 12:02
 */
@Data
public class BasicInformation {

  private Map<String, Factor> factorMap;

  private Map<String, Site> siteMap;

  private Map<String, ReportSiteDevice> siteDeviceMap;

  private Map<String, SiteDeviceFactor> siteDeviceFactorMap;

  private Map<String, FactorGroup> factorCategoryMap;

  public BasicInformation(
      Map<String, Factor> factorMap,
      Map<String, Site> siteMap,
      Map<String, ReportSiteDevice> siteDeviceMap,
      Map<String, SiteDeviceFactor> siteDeviceFactorMap,
      Map<String, FactorGroup> factorCategoryMap
  ) {
    this.factorMap = factorMap;
    this.siteMap = siteMap;
    this.siteDeviceMap = siteDeviceMap;
    this.siteDeviceFactorMap = siteDeviceFactorMap;
    this.factorCategoryMap = factorCategoryMap;
  }

  public BasicInformation() {
  }

  public List<String> getSiteIds() {
    return new ArrayList(this.siteMap.keySet());
  }

  public List<String> getSiteIdsByType(int type) {
    List<String> siteIds = new ArrayList<>();

    for (Site site : this.siteMap.values()) {
      if ((site.getType() & type) > 0) {
        siteIds.add(site.getId());
      }
    }

    return siteIds;
  }

  public List<String> getFactorIds() {
    Map<String, ReportSiteDevice> siteDeviceMap = this.siteDeviceMap;

    Set<String> factorIdSet = new HashSet<>();

    siteDeviceMap.forEach((siteDeviceId, siteDevice) -> {
      Map<String, Factor> factorMap = siteDevice.getFactorMap();
      factorIdSet.addAll(factorMap.keySet());
    });

    return new ArrayList(factorIdSet);
  }
}
