package more.ssaqms.xiamen.model.report;

import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;
import more.ssaqms.xiamen.model.data.HistoricalData;
import more.ssaqms.xiamen.model.factor.Factor;
import more.ssaqms.xiamen.model.site.Site;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @author purpose
 * @version 1.0
 * @date 2023/5/10 10:48 上午
 */
@Data
@ToString
@Accessors(chain = true)
public class ChartDataInfo {

  List<String> siteIds;

  List<String> factorIds;

  List<HistoricalData> dataList;

  public ChartDataInfo(List<String> siteIds, List<String> factorIds, List<HistoricalData> dataList) {
    this.siteIds = siteIds;
    this.factorIds = factorIds;
    this.dataList = dataList;
  }

  public void setChartData(
      Map<String, ChartData> dataMap,
      Map<String, Factor> factorMap,
      Map<String, Site> siteMap
  ) {
    List<String> siteIds = this.siteIds;

    this.factorIds.forEach(factorId -> {
      Factor factor = factorMap.get(factorId);
      String stdUnit = factor.getStdUnit();
      String displayUnit = factor.getDisplayUnit();
      Float molecular = factor.getMolecular();

      ChartData chartData = dataMap.get(factorId);
      List<Factor> dimensions = new ArrayList<>();

      siteIds.forEach(siteId -> {
        Site site = siteMap.get(siteId);
        dimensions.add(new Factor()
            .setId(siteId)
            .setDisplayName(site.getName())
            .setStdUnit(stdUnit)
            .setDisplayUnit(displayUnit)
            .setMolecular(molecular)
        );
      });

      chartData.setDimensions(dimensions);
    });

    this.dataList.forEach(data -> {
      dataMap.get(data.getFactorId()).add(data);
    });
  }
}
