package more.ssaqms.xiamen.model.report;

import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;
import more.ssaqms.xiamen.model.data.HistoricalData;
import more.ssaqms.xiamen.model.factor.Factor;
import more.ssaqms.xiamen.model.factor.FactorGroup;
import more.ssaqms.xiamen.model.site.Site;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author purpose
 * @version 1.0
 * @date 2023/6/16 10:13 AM
 */
@Data
@ToString
@Accessors(chain = true)
public class LinGangMonthlySiteVOCsNMHCReport {

  // 站点主键
  private String siteId;

  // 站点名称
  private String siteName;


  // vocs的月数据列表
  private List<HistoricalData> vocsDataList = new ArrayList();
  // vocs的日均浓度范围
  private Float[] vocsDailyAvgRange;

  // nmhc的月数据列表
  private List<HistoricalData> nmhcDataList = new ArrayList<>();
  // nmhc的日均浓度范围
  private Float[] nmhcDailyAvgRange;


  // 内部用
  private Map<String, Map<String, Float[]>> tempVOCsDailyAvgMap = new HashMap();
  // 内部用
  private Map<String, Map<String, Float[]>> tempNMHCDailyAvgMap = new HashMap();


  // 内部用
  private Map<String, Factor> factorMap;
  // 内部用
  private Map<String, FactorGroup> factorCategoryMap;

  public LinGangMonthlySiteVOCsNMHCReport(BasicInformation information, Site site) {
    this.siteId = site.getId();
    this.siteName = site.getName();
    this.factorMap = information.getFactorMap();
    this.factorCategoryMap = information.getFactorCategoryMap();
  }

  public LinGangMonthlySiteVOCsNMHCReport addVOCsData(HistoricalData data) {
    this.addData(this.vocsDataList, this.tempVOCsDailyAvgMap, data);
    return this;
  }

  public LinGangMonthlySiteVOCsNMHCReport addNMHCData(HistoricalData data) {
    this.addData(this.nmhcDataList, this.tempNMHCDailyAvgMap, data);
    return this;
  }

  public LinGangMonthlySiteVOCsNMHCReport statisticData() {
    return this;
  }

  private LinGangMonthlySiteVOCsNMHCReport addData(
      List<HistoricalData> dataList,
      Map<String, Map<String, Float[]>> dailyAvgMap,
      HistoricalData data
  ) {
    String factorId = data.getFactorId();
    Factor factor = this.factorMap.get(factorId);

    dataList.add(data);
    return this;
  }
}
