package more.ssaqms.xiamen.model.report;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author zuo
 * @date 2022/11/15 12:10
 */
@ApiModel(value = "污染物报告记录数据模型")
@Data
@ToString
@Accessors(chain = true)
@TableName(value = "t_pollution_report_log")
public class PollutionReportLog {

    @ApiModelProperty(value = "污染物报告id（使用开始时间 + '-' + 结束时间拼成）")
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "生成报告的数据开始时间", required = true)
    @NotNull
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date beginTime;

    @ApiModelProperty(value = "生成报告的数据开始时间", required = true)
    @NotNull
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "创建时间,相当于最初创建报告时间", hidden = true)
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "更新时间,相当于重新生成时间", hidden = true)
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date updateTime;
}
