package more.ssaqms.xiamen.model.report;

import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

/**
 * @author purpose
 * @version 1.0
 * @date 2023/5/6 9:39 上午
 */
@Data
@ToString
@Accessors(chain = true)
public class ReportUnStandardSiteDevice {

  String siteName;

  Set<String> normalDeviceNames = new HashSet<>();

  Set<String> nmhcDeviceNames = new HashSet<>();

  Set<String> vocsDeviceNames = new HashSet<>();

  public String getSiteName() {
    return this.siteName;
  }

  public List<String> getNormalDeviceNames() {
    return new ArrayList<>(this.normalDeviceNames);
  }

  public List<String> getNmhcDeviceNames() {
    return new ArrayList<>(this.nmhcDeviceNames);
  }

  public List<String> getVocsDeviceNames() {
    return new ArrayList<>(this.vocsDeviceNames);
  }

  public ReportUnStandardSiteDevice(String siteName) {
    this.siteName = siteName;
  }

  public ReportUnStandardSiteDevice add(String deviceName, ReportEffectiveFactorTypeEnum type) {
    switch (type) {
      case NORMAL:
        this.normalDeviceNames.add(deviceName);
        break;
      case NMHC:
        this.nmhcDeviceNames.add(deviceName);
        break;
      case VOCs:
        this.vocsDeviceNames.add(deviceName);
        break;
    }

    return this;
  }
}
