package more.ssaqms.xiamen.model.report;

import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.ArrayList;
import java.util.List;

/**
 * @author purpose
 * @version 1.0
 * @date 2023/6/18 3:38 PM
 */
@Data
@ToString
@Accessors(chain = true)
public class ReportVOCsFactorGroupValueInfo {

  private String groupId;

  private String groupName;

  private Float avgSum = null;

  private List<ReportNameValue> avgDataList = new ArrayList();

  private List<ReportNameValue> hourMaxValues = new ArrayList<>();


  public ReportVOCsFactorGroupValueInfo(String groupId, String groupName) {
    this.groupId = groupId;
    this.groupName = groupName;
  }

  public ReportVOCsFactorGroupValueInfo addData(ReportNameValue data) {
    this.avgDataList.add(data);
    return this;
  }

  public ReportVOCsFactorGroupValueInfo sumAvg(Float avg) {
    Float avgSum = this.avgSum;
    if (avgSum == null) {
      avgSum = 0f;
    }
    this.avgSum = avgSum + avg;
    return this;
  }

  public ReportVOCsFactorGroupValueInfo sortListByDesc() {
    this.avgDataList.sort((o1, o2) -> (o2.getValue() - o1.getValue()) > 0 ? 1 : -1);
    return this;
  }

  public ReportVOCsFactorGroupValueInfo addHourMaxValues(ReportNameValue data) {
    this.hourMaxValues.add(data);
    return this;
  }
}
