package more.ssaqms.xiamen.model.report;

import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.Calendar;
import java.util.Date;

/**
 * @author purpose
 * @version 1.0
 * @date 2023/5/4 11:07 上午
 */
@Data
@ToString
@Accessors(chain = true)
public class TimeRange {

  private Date beginTime;

  private Date endTime;

  public TimeRange(Date beginTime, Date endTime) {
    this.beginTime = beginTime;
    this.endTime = endTime;
  }

  public Date getYearFirstDate() {
    return this.getYearFirstCalendar().getTime();
  }

  public TimeRange getLastYearTimeRange() {
    Calendar beginTime = this.getYearFirstCalendar();
    beginTime.set(Calendar.YEAR, beginTime.get(Calendar.YEAR) - 1);
    Calendar endTime = Calendar.getInstance();
    endTime.setTime(this.endTime);
    int month = endTime.get(Calendar.MONTH);
    endTime.set(Calendar.YEAR, endTime.get(Calendar.YEAR) - 1);
    endTime.set(Calendar.MONTH, month);
    endTime.set(Calendar.DAY_OF_MONTH, endTime.getActualMaximum(Calendar.DAY_OF_MONTH));

    return new TimeRange(beginTime.getTime(), endTime.getTime());
  }

  private Calendar getYearFirstCalendar() {
    Calendar ca = Calendar.getInstance();
    ca.setTime(this.beginTime);
    ca.set(Calendar.DAY_OF_MONTH, 1);
    ca.set(Calendar.MONTH, 0);
    return ca;
  }
}
