package more.ssaqms.xiamen.model.site;

import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;
import more.ssaqms.xiamen.model.device.Device;
import more.ssaqms.xiamen.model.factor.Factor;

import java.util.HashMap;
import java.util.Map;

/**
 * @author purpose
 * @version 1.0
 * @date 2023/5/4 2:33 下午
 */
@Data
@ToString
@Accessors(chain = true)
public class ReportSiteDevice extends SiteDevice {

  private Map<String, Factor> factorMap = new HashMap<>();

  public ReportSiteDevice(SiteDevice siteDevice, Device device) {
    this.setId(siteDevice.getId());
    this.setSiteId(siteDevice.getSiteId());
    this.setDeviceId(siteDevice.getDeviceId());
    this.setDeviceName(device.getName());
    this.setDeviceCategoryId(siteDevice.getDeviceCategoryId());
    this.setDataFrequency(siteDevice.getDataFrequency());
    this.setAlarmInterval(siteDevice.getAlarmInterval());
    this.setMaxDelayTime(siteDevice.getMaxDelayTime());
    this.setLowRange(siteDevice.getLowRange());
    this.setHighRange(siteDevice.getHighRange());
    this.setHeight(siteDevice.getHeight());
  }
}
