package more.ssaqms.xiamen.model.site;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 站点设备运行状态日报对象 t_site_device_running_condition
 *
 * @author zuo
 * @date 2021-10-18
 */
@ApiModel(value = "设备运行状态日报模型")
@Data
@ToString
@Accessors(chain = true)
@TableName(value = "t_site_device_running_condition")
public class SiteDeviceRunningCondition {

    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 设备运行状态日期
     */
    @ApiModelProperty(value = "设备运行状态日期", required = true)
    @NotNull(message = "设备运行状态日期,不能为空")
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd")
    private Date opDate;

    /**
     * 问题时间
     */
    @ApiModelProperty(value = "问题开始时间")
    @TableField
    private String errTime;

    /**
     * 站房id
     */
    @ApiModelProperty(value = "站房id", required = true)
    @NotBlank(message = "站房id,不能为空")
    @TableField
    private String siteId;

    /**
     * 站点设备id
     */
    @ApiModelProperty(value = "站点设备id", required = true)
    @NotBlank(message = "siteDeviceId,不能为空")
    @TableField
    private String siteDeviceId;

    /**
     * 状态 1,确认(1审确认) 2,提交(1审提交) 4,被退回(退回1审) 8,已经通过
     */
    @ApiModelProperty(value = "状态", hidden = true)
    @TableField
    private Integer status;

    /**
     * 主要问题
     */
    @ApiModelProperty(value = "主要问题", required = true)
    @TableField
    private String trouble;

    /**
     * 填报公司id
     */
    @ApiModelProperty(value = "填报公司", hidden = true)
    @TableField
    private String submitOrgId;

    /**
     * 填报公司名称
     */
    @ApiModelProperty(value = "填报公司名称", hidden = true)
    @TableField(exist = false)
    private String submitOrgName;

    /**
     * 解决计划
     */
    @ApiModelProperty(value = "解决计划", required = true)
    @TableField
    private String solution;
}
