package more.ssaqms.xiamen.model.statistics;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author zuo
 * @date 2023/10/31 13:36
 */
@ApiModel(value = "污染案例数据模型")
@Data
@ToString
@Accessors(chain = true)
@TableName(value = "t_aqi_case_data")
public class AQICaseData {

    @ApiModelProperty(value = "主键")
    @TableId(type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "站房主键", required = true)
    @NotBlank
    @TableId
    private String siteId;

    @ApiModelProperty(value = "污染开始时间", required = true)
    @NotNull
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date beginTime;

    @ApiModelProperty(value = "污染结束时间", required = true)
    @NotNull
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "AQI污染等级,不传为查所有")
    private Integer aqiGrade;

    @ApiModelProperty(value = "报告提交人id", hidden = true)
    private Integer user_id;

    @ApiModelProperty(value = "报告路径", hidden = true)
    private String path;

    @ApiModelProperty(value = "导入文件")
    @TableField(exist = false)
    private MultipartFile file;
}
