package more.ssaqms.xiamen.model.statistics;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.Date;
import java.util.List;

/**
 * @author purpose
 * @version 1.0
 * @date 2023/1/13 7:16 下午
 */
@ApiModel(value = "污染特征查询条件")
@Data
@ToString
@Accessors(chain = true)
public class AQICaseLibraryQuery {

    @ApiModelProperty(value = "开始时间", required = true)
    @NotNull
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date beginTime;

    @ApiModelProperty(value = "结束时间", required = true)
    @NotNull
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "站房主键List", required = true)
    @NotNull(message = "siteIds不能为空")
    @Size(min = 1, message = "站房id,至少要有一个")
    private List<String> siteIds;

    @ApiModelProperty(value = "AQI污染等级")
    private Integer aqiGrade;

    @ApiModelProperty(value = "AQI首要污染物")
    private String primaryPollution;

    @ApiModelProperty(value = "污染特征主键")
    private Integer characteristicId;
}
