package more.ssaqms.xiamen.model.statistics;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2021/8/9 16:52
 */
@Data
@Accessors(chain = true)
public class AqiCharacteristicReceive {

    @ApiModelProperty(value = "开始时间", required = true)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    @NotNull
    private Date beginTime;

    @ApiModelProperty(value = "结束时间", required = true)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    @NotNull
    private Date endTime;

    @ApiModelProperty(value = "是否审核后数据(true为审核后数据,其他为全部数据)", required = true)
    private Boolean isAuditCompleted;

    @ApiModelProperty(value = "站点类别id", required = true)
    private String siteCategoryId;

    @ApiModelProperty(value = "类型，day，month", required = true)
    private String granularity;

    @ApiModelProperty(value = "综合指数保留小数位数", required = true)
    private Integer indexDecimalNum;

    public AqiCharacteristicReceive() {
    }
}
