package more.ssaqms.xiamen.model.statistics;

import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import lombok.Data;
import more.ssaqms.xiamen.util.AqiStatUtil;

import java.util.List;
import java.util.Map;
import java.util.Objects;

/**
 * @author zuo
 * @date 2024/1/11 12:07
 */

@Data
public class AqiColumn {

    private String name;

    private Float value;

    private Boolean isPass;

    private Integer level;

    public Object getTableValue() {
        if (!Objects.isNull(value)) return value;
        if ("index".equals(name)){
            return "--";
        }
        return name;
    }

    public AqiColumn() {
    }

    public AqiColumn(AqiConcentrationData aqiConcentrationData, boolean isLevel) {
        if (Objects.isNull(aqiConcentrationData)){
            this.name = "--";
        }else {
            this.name = aqiConcentrationData.getRootFactorId();
            this.value = aqiConcentrationData.getValue();
            this.isPass = aqiConcentrationData.getIsPass();
            setLevelByIsLevel(name, value,isLevel);
        }
    }

    public AqiColumn(String name) {
        this.name = name;
    }

    public AqiColumn(String name,Integer level) {
        this.name = name;
        this.level = level;
    }

    public AqiColumn(Integer value) {
        if (Objects.isNull(value)) {
            this.name = "--";
        }else {
            this.value = Float.valueOf(String.valueOf(value));
        }
    }

    public AqiColumn(Float value) {
        if (Objects.isNull(value)) {
            this.name = "--";
        }else {
            this.value = value;
        }
    }

    public AqiColumn(Integer value , Integer level) {
        this.level = level;
        if (Objects.isNull(value)) {
            this.name = "--";
        }else {
            this.value = Float.valueOf(String.valueOf(value));
        }
    }

    public AqiColumn(Float value, Integer level) {
        this.level = level;
        if (Objects.isNull(value)) {
            this.name = "--";
        }else {
            this.value = value;
        }
    }

    public AqiColumn(String name, Float value, Boolean isPass) {
        this.name = name;
        this.value = value;
        this.isPass = isPass;
        setLevelByIsLevel(name, value,true);
    }

    private void setLevelByIsLevel(String name, Float value,boolean isLevel) {
        if (isLevel){
            Map<String, List<Float>> bp24h = AqiStatUtil.bp24h;
            Map<String, String> pollutantPrimaryMapBy24 = AqiStatUtil.pollutantPrimaryMapBy24;
            String rootFactorId = pollutantPrimaryMapBy24.get(name);
            if (StringUtils.isNotBlank(rootFactorId)){
                List<Float> floats = bp24h.get(rootFactorId);
                if (value > floats.get(5)){
                    this.level = 6;
                }else {
                    for (int i = 1; i < floats.size(); i++) {
                        if (value <= floats.get(i)){
                            this.level = i;
                            return;
                        }
                    }
                }
            }
        }
    }

}
