package more.ssaqms.xiamen.model.statistics;

import com.baomidou.mybatisplus.core.toolkit.CollectionUtils;
import lombok.Data;

import java.util.List;
import java.util.Map;
import java.util.Objects;

/**
 * @author zuo
 * @date 2023/11/8 18:35
 */
@Data
public class AqiConcentrationData {

    private String dataTime;

    private String siteId;

    private String factorId;

    private String rootFactorId;

    private Float value;

    private Float index;

    private Boolean isPass;

    public AqiConcentrationData() {
    }

    public AqiConcentrationData(AqiConcentrationData aqiConcentrationData) {
        this.dataTime = aqiConcentrationData.getDataTime();
        this.siteId = aqiConcentrationData.getSiteId();
        this.factorId = aqiConcentrationData.getFactorId();
        this.rootFactorId = aqiConcentrationData.getRootFactorId();
    }

    private Map<String, Integer> gradeMap;

    private List<PrimaryPollutantDayStatistics> primaryPollutantDayStatisticsList;

    private List<Map<String, Object>> indexList;

    public Integer getGrade1() {
        if (CollectionUtils.isEmpty(gradeMap)) return null;
        return gradeMap.get("1");
    }

    public Integer getGrade2() {
        if (CollectionUtils.isEmpty(gradeMap)) return null;
        return gradeMap.get("2");
    }

    public Integer getGrade3() {
        if (CollectionUtils.isEmpty(gradeMap)) return null;
        return gradeMap.get("3");
    }

    public Integer getGrade4() {
        if (CollectionUtils.isEmpty(gradeMap)) return null;
        return gradeMap.get("4");
    }

    public Integer getGrade5() {
        if (CollectionUtils.isEmpty(gradeMap)) return null;
        return gradeMap.get("5");
    }

    public Integer getGrade6() {
        if (CollectionUtils.isEmpty(gradeMap)) return null;
        return gradeMap.get("6");
    }

    public Float getGrade1Rate() {
        if (CollectionUtils.isEmpty(gradeMap)) return null;
        Integer integer = gradeMap.get("1");
        Integer total = gradeMap.get("total");
        if (Objects.isNull(integer) || Objects.isNull(total)) return null;
        return (integer * 100f) / total;
    }

    public Float getGrade2Rate() {
        if (CollectionUtils.isEmpty(gradeMap)) return null;
        Integer integer = gradeMap.get("2");
        Integer total = gradeMap.get("total");
        if (Objects.isNull(integer) || Objects.isNull(total)) return null;
        return (integer * 100f) / total;
    }

    public Float getGrade3Rate() {
        if (CollectionUtils.isEmpty(gradeMap)) return null;
        Integer integer = gradeMap.get("3");
        Integer total = gradeMap.get("total");
        if (Objects.isNull(integer) || Objects.isNull(total)) return null;
        return (integer * 100f) / total;
    }

    public Float getGrade4Rate() {
        if (CollectionUtils.isEmpty(gradeMap)) return null;
        Integer integer = gradeMap.get("4");
        Integer total = gradeMap.get("total");
        if (Objects.isNull(integer) || Objects.isNull(total)) return null;
        return (integer * 100f) / total;
    }

    public Float getGrade5Rate() {
        if (CollectionUtils.isEmpty(gradeMap)) return null;
        Integer integer = gradeMap.get("5");
        Integer total = gradeMap.get("total");
        if (Objects.isNull(integer) || Objects.isNull(total)) return null;
        return (integer * 100f) / total;
    }

    public Float getGrade6Rate() {
        if (CollectionUtils.isEmpty(gradeMap)) return null;
        Integer integer = gradeMap.get("6");
        Integer total = gradeMap.get("total");
        if (Objects.isNull(integer) || Objects.isNull(total)) return null;
        return (integer * 100f) / total;
    }
}
