package more.ssaqms.xiamen.model.statistics;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.Size;
import java.util.List;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2021/7/15 16:15
 */
@ApiModel(value = "空气质量达标分析数据查询（不同年份（年、月）的空气质量天数对比）接收参数模型")
@Data
@ToString
@Accessors(chain = true)
public class AqiContrastReceive {

    @Size(min = 2, message = "最少输入2个年份")
    @ApiModelProperty(value = "同比数据对比年份", required = true)
    private List<Integer> years;

    @ApiModelProperty(value = "查询站点ids,不填为查全部站点")
    private List<String> siteIds;

    @ApiModelProperty(value = "时候查询审核后数据,不传或false为查全部")
    private Boolean isAuditCompleted;
}
