package more.ssaqms.xiamen.model.statistics;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author zuo
 * @date 2024/1/8 12:19
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_aqi_remark")
public class AqiRemark {

    @ApiModelProperty(value = "主键", hidden = true)
    @TableId(type = IdType.NONE)
    private String id;

    @ApiModelProperty(value = "站点id", required = true)
    @TableField
    @NotBlank
    private String siteId;

    @ApiModelProperty(value = "文件路径", hidden = true)
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String path;

    @ApiModelProperty(value = "日期，时间格式yyyy/MM/dd", required = true)
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd")
    @NotNull
    private Date dataTime;

    @ApiModelProperty(value = "备注")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String remark;

    @ApiModelProperty(value = "文件上传名称", hidden = true)
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String fileName;

    @ApiModelProperty(value = "导入文件")
    @TableField(exist = false)
    private MultipartFile file;
}
