package more.ssaqms.xiamen.model.statistics;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2021/7/15 16:15
 */
@ApiModel(value = "Aqi同比数据查询接收参数模型")
@Data
@ToString
@Accessors(chain = true)
public class AqiYoYReceive {

    @Size(min = 2)
    @ApiModelProperty(value = "同比数据对比年份", required = true)
    private List<Integer> years;

    @NotNull
    @ApiModelProperty(value = "同比数据对比起始月份", required = true)
    private Integer fromMonth;

    @NotNull
    @ApiModelProperty(value = "同比数据对比终止月份", required = true)
    private Integer toMonth;

    @NotBlank
    @ApiModelProperty(value = "查询类型(all代表全网,site代表站点)", required = true)
    private String type;

    @ApiModelProperty(value = "查询id,可用作站点id,全网可不写", required = true)
    private List<String> ids;

    @ApiModelProperty(value = "时候查询审核后数据,不传或false为查全部", required = true)
    private Boolean isAuditCompleted;
}
