package more.ssaqms.xiamen.model.statistics;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2021/8/13 12:00
 */

@Data
public class CalculateData {

    @ApiModelProperty(value = "时间", required = true)
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date dataTime;

    @ApiModelProperty(value = "站点id", required = true)
    @TableField
    private String siteId;

    @ApiModelProperty(value = "opf值", required = true)
    @TableField
    private Float ofp;

    @ApiModelProperty(value = "soa值")
    @TableField
    private Float soa;

    @ApiModelProperty(value = "loh值")
    @TableField
    private Float loh;

    @ApiModelProperty(value = "是否包含重积分数据")
    @TableField
    private Boolean isHaveIntegral;

    @ApiModelProperty(value = "用于传，小时均值TOP/SOA的标题", required = true)
    @TableField(exist = false)
    private String title;

    @ApiModelProperty(value = "污染物", required = true)
    @TableField
    private List<PollutantData> pollutantData;
}
