package more.ssaqms.xiamen.model.statistics;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.Date;
import java.util.List;

/**
 * @author zuo
 * @date 2023/9/19 17:30
 */
@ApiModel(value = "富集因子查询接收参数模型")
@Data
@ToString
@Accessors(chain = true)
public class EfReceive {

    @NotNull(message = "查询开始时间,不能为空")
    @ApiModelProperty(value = "查询开始时间", required = true)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date beginTime;

    @NotNull(message = "查询结束时间,不能为空")
    @ApiModelProperty(value = "查询结束时间", required = true)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "站点ids", required = true)
    @Size(min = 1, message = "站点ids,至少要有一个")
    @NotNull(message = "站点ids,至少要有一个")
    private List<String> siteIds;

    @ApiModelProperty(value = "参比因子", required = true)
    @NotBlank(message = "需要传个参比因子")
    private String referenceFactor;

    @ApiModelProperty(value = "是否审核后数据")
    private Boolean isAuditCompleted;

    @ApiModelProperty(value = "是否去除DELETE和小写")
    private Boolean isGetInvalidData;

    @ApiModelProperty(value = "是否融合数据（有审核后查询审核后去除无效数据的，繁殖查询审核前全部数据），不传为false")
    private Boolean isFuse;

    @ApiModelProperty(value = "是否重积分数据，不传为false")
    private Boolean isMultipleIntegral;
}
