package more.ssaqms.xiamen.model.statistics;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.Date;
import java.util.List;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2021/8/9 16:52
 */
@Data
public class MonthlyStatisticsReceive {

    @ApiModelProperty(value = "查询年月", required = true)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM")
    @NotNull
    private Date dateTime;

    @ApiModelProperty(value = "是否站点合并计算")
    private Boolean isSiteMerge;

    @ApiModelProperty(value = "是否审核后数据(true为审核后数据,其他为全部数据)")
    private Boolean isAuditCompleted;

    @ApiModelProperty(value = "查询站点,空为所有站点", required = true)
    @NotNull
    @Size(min = 1)
    private List<String> siteIds;
}
