package more.ssaqms.xiamen.model.statistics;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2021/8/9 16:52
 */
@Data
public class QrReceive {

    @ApiModelProperty(value = "开始时间", required = true)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    @NotNull
    private Date beginTime;

    @ApiModelProperty(value = "结束时间", required = true)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    @NotNull
    private Date endTime;

    @ApiModelProperty(value = "查询站点,空为所有站点")
    private List<String> siteIds;

    @ApiModelProperty(value = "是否审核后数据")
    private Boolean isAuditCompleted;

    @ApiModelProperty(value = "是否去除DELETE和小写")
    private Boolean isGetInvalidData;

    @ApiModelProperty(value = "是否融合数据（有审核后查询审核后去除无效数据的，繁殖查询审核前全部数据），不传为false")
    private Boolean isFuse;

    @ApiModelProperty(value = "是否重积分数据，不传为false")
    private Boolean isMultipleIntegral;

    public QrReceive() {
    }
}
