package more.ssaqms.xiamen.model.statistics;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @author zuo
 * @date 2022/5/4 17:11
 */
@ApiModel(value = "质量重构数据模型")
@Data
@ToString
@Accessors(chain = true)
@TableName(value = "t_quality_reconstruction_data")
public class QualityReconstruction {

    /**
     * 数据时间
     */
    @ApiModelProperty(value = "数据时间", required = true)
    @TableId
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date dataTime;

    /**
     * 站房id
     */
    @ApiModelProperty(value = "站房id", required = true)
    @TableId
    private String siteId;

    /**
     * 有机物
     */
    @ApiModelProperty(value = "有机物")
    @TableField
    private Float mo;

    /**
     * 硝酸盐
     */
    @ApiModelProperty(value = "硝酸盐")
    @TableField
    private Float nitrate;

    /**
     * 硫酸盐
     */
    @ApiModelProperty(value = "硫酸盐")
    @TableField
    private Float sulfate;

    /**
     * 铵盐
     */
    @ApiModelProperty(value = "铵盐")
    @TableField
    private Float ammoniumSalt;

    /**
     * 元素碳
     */
    @ApiModelProperty(value = "元素碳")
    @TableField
    private Float elementalCarbon;

    /**
     * 氯盐
     */
    @ApiModelProperty(value = "氯盐")
    @TableField
    private Float chlorineSalt;

    /**
     * 地壳物质
     */
    @ApiModelProperty(value = "地壳物质")
    @TableField
    private Float crustalMaterial;

    /**
     * 微量元素
     */
    @ApiModelProperty(value = "微量元素")
    @TableField
    private Float traceElement;

    /**
     * PM2.5
     */
    @ApiModelProperty(value = "PM2.5")
    @TableField
    private Float pm25;

    /**
     * 比值
     */
    @ApiModelProperty(value = "比值")
    @TableField
    private Float qualityRatio;
}
