package more.ssaqms.xiamen.model.statistics;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 【请填写功能名称】对象 t_site_device_acquisition_full_rate
 *
 * @author zuo
 * @date 2021-10-13
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "t_site_device_acquisition_full_rate")
public class SiteDeviceAcquisitionFullRate {

    /**
     * 数据时间
     */
    @ApiModelProperty(value = "数据时间", required = true)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    @TableField
    private Date dataTime;

    /**
     * 站房主键
     */
    @ApiModelProperty(value = "站房主键", required = true)
    @TableField
    private String siteId;

    /**
     * 站点名称
     */
    @ApiModelProperty(value = "站点名称", required = true)
    @TableField
    private String siteName;

    /**
     * 站点设备id
     */
    @ApiModelProperty(value = "站点设备id", required = true)
    @TableField
    private String siteDeviceId;

    /**
     * 设备id
     */
    @ApiModelProperty(value = "设备id", required = true)
    @TableField
    private String deviceId;

    /**
     * 设备名称
     */
    @ApiModelProperty(value = "设备名称", required = true)
    @TableField
    private String deviceName;

    /**
     * 需采集总数
     */
    @ApiModelProperty(value = "需采集总数", required = true)
    @TableField
    private Integer totalNum;

    /**
     * 采集数
     */
    @ApiModelProperty(value = "采集数", required = true)
    @TableField
    private Integer acquisitionNum;

    /**
     * 完整数(采集中flag为大写的数)
     */
    @ApiModelProperty(value = "完整数(采集中flag为大写的数)", required = true)
    @TableField
    private Integer fullNum;

    /**
     * 采集率 * 100
     */
    @ApiModelProperty(value = "采集率 * 100", required = true)
    @TableField
    private BigDecimal acquisitionRate;

    /**
     * 完整率 * 100
     */
    @ApiModelProperty(value = "完整率 * 100", required = true)
    @TableField
    private BigDecimal fullRate;

}
