package more.ssaqms.xiamen.model.statistics;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @Author zuo
 * @Version 1.0
 * @Date 2021/8/9 16:52
 */
@Data
@Accessors(chain = true)
public class VocReceive {

    @ApiModelProperty(value = "开始时间", required = true)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    @NotNull
    private Date beginTime;

    @ApiModelProperty(value = "结束时间", required = true)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    @NotNull
    private Date endTime;

    @ApiModelProperty(value = "是否获取无效数据", required = true)
    @NotNull
    private Boolean isGetInvalidData;

    @ApiModelProperty(value = "true审核后数据，false审核前数据，不传为混合数据")
    private Boolean isAuditCompleted;

    @ApiModelProperty(value = "voc因子id，不传就是获取VOCS总量")
    private String vocFactorId;

    @ApiModelProperty(value = "是否时间聚合")
    private Boolean isTimeMerge;

    public VocReceive() {
    }
}
