package more.ssaqms.xiamen.model.supper;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author zuo
 * @date 2024/8/28 16:16
 */
@Data
public class SupperInput {

    @ApiModelProperty(value = "报告时间，年月日", required = true)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date date;

    @ApiModelProperty(value = "siteAqiDataList数据", required = true)
    private List<SiteAqiData> siteAqiDataList;

    @ApiModelProperty(value = "ocEcDataList数据", required = true)
    private List<OcEcData> ocEcDataList;

    @ApiModelProperty(value = "heavyMetalDataList数据", required = true)
    private List<HeavyMetalData> heavyMetalDataList;

    @ApiModelProperty(value = "blackCarbonDataList数据", required = true)
    private List<BlackCarbonData> blackCarbonDataList;

    @ApiModelProperty(value = "ionDataList数据", required = true)
    private List<IonData> ionDataList;

    @ApiModelProperty(value = "spectrometryDataList数据", required = true)
    private List<SpectrometryData> spectrometryDataList;

    @ApiModelProperty(value = "lidarDataList数据", required = true)
    private List<LidarData> lidarDataList;

    @ApiModelProperty(value = "htcDataList数据", required = true)
    private List<HtcData> htcDataList;

    @ApiModelProperty(value = "vocsDataList数据", required = true)
    private List<VocsData> vocsDataList;

    @ApiModelProperty(value = "ozoneRadarDataList数据", required = true)
    private List<OzoneRadarData> ozoneRadarDataList;

    @ApiModelProperty(value = "weatherDataList数据", required = true)
    private List<WeatherData> weatherDataList;
}
