package more.ssaqms.xiamen.model.traffic;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import more.ssaqms.xiamen.model.report.BasicInformation;
import more.ssaqms.xiamen.model.supper.*;

import java.util.Date;
import java.util.List;

/**
 * @author zuo
 * @date 2024/9/13 10:59
 */
@Data
public class TrafficInput {

    @ApiModelProperty(value = "报告时间，年月日", required = true)
    private Date date;

    @ApiModelProperty(value = "monthBasicInformation数据", required = true)
    private BasicInformation monthBasicInformation;

    @ApiModelProperty(value = "常规污染物监测", required = true)
    private List<SiteAqiData> siteAqiDatas;

    @ApiModelProperty(value = "甲烷非甲烷", required = true)
    private List<CH4AvgData> ch4AvgDataList;

    @ApiModelProperty(value = "blackCarbonDataList数据", required = true)
    private MageeAvgData mageeAvgData;

    @ApiModelProperty(value = "ionDataList数据", required = true)
    private VOCsData voCsData;

    @ApiModelProperty(value = "spectrometryDataList数据", required = true)
    private List<SiteWindModel> siteWindModels;
}
