package more.ssaqms.xiamen.model.transmission;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author purpose
 * @version 1.0
 * @date 2020/11/1 7:09 上午
 */
@Data
public class RadarBetaJSONData {

    @ApiModelProperty(value = "时间", required = true)
    private String dataTime;

    @ApiModelProperty(value = "方位角", required = true)
    private Float azimuth;

    @ApiModelProperty(value = "range", required = true)
    private Float range;

    @ApiModelProperty(value = "LOG10(值)", required = true)
    private Double value;

    @ApiModelProperty(value = "值", required = true)
    private Float relativeBeta;


    public RadarBetaJSONData(RadarBetaData radarWindSpeedData) {
        this.dataTime = radarWindSpeedData.getDataTime();
        this.azimuth = radarWindSpeedData.getAzimuth();
        this.range = radarWindSpeedData.getRange();
        this.value = Math.log10(radarWindSpeedData.getRelativeBeta());
        this.relativeBeta = radarWindSpeedData.getRelativeBeta();
    }
}
