package more.ssaqms.xiamen.model.transmission;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @author purpose
 * @version 1.0
 * @date 2020/11/1 7:09 上午
 */
@Data
public class RadarWindSpeedJSON {

    @ApiModelProperty(value = "每一圈的起始时间戳")
    private Long dataTimeStamp;

    @ApiModelProperty(value = "COS得出的系数")
    private Double n;

    @ApiModelProperty(value = "雷达监测半径范围(如需转换成水平面的半径，需乘以n参数)")
    private Float range;

    @ApiModelProperty(value = "rangeStep", required = true)
    private Float rangeStep;

    @ApiModelProperty(value = "仰角")
    private Float elevation;

    @ApiModelProperty(value = "雷达扫一圈的数据")
    private List<RadarWindSpeedJSONData> dataList;


    public RadarWindSpeedJSON(
            Long dataTimeStamp,
            Double n,
            Float range,
            Float rangeStep,
            Float elevation,
            List<RadarWindSpeedData> dataList
    ) {
        this.dataTimeStamp = dataTimeStamp;
        this.n = n;
        this.range = range;
        this.rangeStep = rangeStep;
        this.elevation = elevation;
        this.setDataList(dataList);
    }

    private void setDataList(List<RadarWindSpeedData> data) {
        List<RadarWindSpeedJSONData> dataList = new ArrayList<>();

        for (RadarWindSpeedData radarWindSpeedData : data) {
            dataList.add(new RadarWindSpeedJSONData(radarWindSpeedData));
        }

        this.dataList = dataList;
    }
}
