package more.ssaqms.xiamen.model.transmission;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author purpose
 * @version 1.0
 * @date 2020/11/1 7:09 上午
 */
@Data
public class RadarWindSpeedJSONData {

    @ApiModelProperty(value = "时间", required = true)
    private String dataTime;

    @ApiModelProperty(value = "方位角", required = true)
    private Float azimuth;

    @ApiModelProperty(value = "range", required = true)
    private Float range;

    @ApiModelProperty(value = "值", required = true)
    private Float value;

    @ApiModelProperty(value = "cnr", required = true)
    private Float cnr;


    public RadarWindSpeedJSONData (RadarWindSpeedData radarWindSpeedData) {
        this.dataTime = radarWindSpeedData.getDataTime();
        this.azimuth = radarWindSpeedData.getAzimuth();
        this.range = radarWindSpeedData.getRange();
        this.value = radarWindSpeedData.getRadialWindSpeed();
        this.cnr = radarWindSpeedData.getCnr();
    }
}
