package more.ssaqms.xiamen.model.upload;

import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author zuo
 * @date 2022/6/29 14:01
 */
@ApiModel(value = "上传站点配置模型")
@Data
@ToString
@Accessors(chain = true)
public class UploadSiteConfig {

    @NotBlank(message = "mn，字段不能为空")
    private String mn;

    @NotNull(message = "time，字段不能为空")
    private Long time;

    @NotBlank(message = "sign，字段不能为空")
    private String sign;

    private List<UploadDevice> devices;

    private List<UploadFactor> factors;

    private List<UploadArea> areas;

    private List<UploadAreasFactor> areaFactors;
}
