package more.ssaqms.xiamen.model.wrf;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;
import org.springframework.web.multipart.MultipartFile;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @author zuo
 * @date 2023/10/23 16:59
 */
@ApiModel(value = "站房数据模型")
@Data
@ToString
@Accessors(chain = true)
@TableName(value = "t_wrf_data_image")
public class WrfDataImage {

    @ApiModelProperty(value = "时间")
    @TableField
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH")
    private Date dataTime;

    @ApiModelProperty(value = "类型")
    @TableField
    private String type;

    @ApiModelProperty(value = "路径")
    @TableField
    private String path;

    @ApiModelProperty(value = "重积分值",hidden = true)
    @TableField(exist = false)
    private String dateTime;

    @ApiModelProperty(value = "导入文件")
    @TableField(exist = false)
    private MultipartFile file;

    public void setDateTime(String dateTime) {
        try {
            SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMdd HH");
            this.dataTime = sdf.parse(dateTime);
        } catch (ParseException ignored) {
        }
    }
}
