package more.ssaqms.xiamen.util;

import java.util.Objects;

/**
 * @author zuo
 * @date 2023/4/23 11:05
 */

public class MonthReportUtils {

    /**
     * 标题1
     *
     * @param text
     * @return
     */
    public static String headline1(String text) {
        return "<h1 style=\"margin: 0px; text-align: center; line-height: 1.5;\">" +
                "<span>" +
                "<strong style=\"font-size: 16pt; font-family: 宋体, SimSun;\">" + text + "</strong>" +
                "</span>" +
                "</h1>";
    }

    /**
     * 标题2
     *
     * @param text
     * @return
     */
    public static String headline2(String text) {
        return "<h2 style=\"margin: 0px; line-height: 1.5;\">" +
                "<span>" +
                "<strong style=\"font-size: 13pt; font-family: 宋体, SimSun;\">" + text + "</strong>" +
                "</span>" +
                "</h2>";
    }

    /**
     * 标题3
     *
     * @param text
     * @return
     */
    public static String headline3(String text) {
        return "<h3 style=\"margin: 0px; line-height: 1.5;\">" +
                "<span>" +
                "<strong style=\"font-size: 13pt; font-family: 宋体, SimSun;\">" + text + "</strong>" +
                "</span>" +
                "</h3>";
    }

    /**
     * 加粗正文（小标题）
     *
     * @param text
     * @return
     */
    public static String textBoldPart1(String text) {
        return "<p style=\"margin: 0px; text-indent: 0.5em; line-height: 1.5;font-weight:bold;\">" +
                "<span style=\"font-size: 12pt; font-family: 宋体, SimSun;\">" + text + "</span>\n" +
                "</p>";
    }

    /**
     * 正文（小标题）
     *
     * @param text
     * @return
     */
    public static String textPart1(String text) {
        return "<p style=\"margin: 0px; text-indent: 0.5em; line-height: 1.5;\">" +
                "<span style=\"font-size: 12pt; font-family: 宋体, SimSun;\">" + text + "</span>\n" +
                "</p>";
    }

    /**
     * 加粗正文（小标题）
     *
     * @param text
     * @return
     */
    public static String textBoldPart2(String text) {
        return "<p style=\"margin: 0px; text-indent: 1.2em; line-height: 1.5;font-weight:bold;\">" +
                "<span style=\"font-size: 12pt; font-family: 宋体, SimSun;\">" + text + "</span>\n" +
                "</p>";
    }

    /**
     * 正文
     *
     * @param text
     * @return
     */
    public static String textPart(String text) {
        return "<p style=\"margin: 0px; text-indent: 2em; line-height: 1.5;\">" +
                "<span style=\"font-size: 12pt; font-family: 宋体, SimSun;\">" + text + "</span>\n" +
                "</p>";
    }

    public static String pageBreak(){
        return "<span lang=\"EN-US\" style=\"font-family: 宋体, SimSun;mso-bidi-font-family:KaiTi\"><br clear=\"all\" style=\"mso-special-character:line-break;page-break-before:always\"><o:p></o:p></span>";
    }


    /**
     * 正文居中(用于图表）
     *
     * @param text
     * @return
     */
    public static String textCenter(String text) {
        return "<p style=\"margin: 0px; text-align: center; line-height: 1.5;\">" +
                "<span style=\"font-size: 12pt; font-family: 宋体, SimSun;\">" + text + "</span>" +
                "</p>";
    }

    /**
     * 正文居中(用于图表）
     *
     * @param trTexts
     * @return
     */
    public static String table(String trTexts) {
        return "<table align=\"center\" border=\"1\" cellpadding=\"0\" cellspacing=\"0\" style=\"width:100%\">" +
                "<tbody>" + trTexts +
                "</tbody>" +
                "</table>";
    }

    public static String table120(String trTexts) {
        return "<table align=\"center\" border=\"1\" cellpadding=\"0\" cellspacing=\"0\" style=\"width:120%\">" +
                "<tbody>" + trTexts +
                "</tbody>" +
                "</table>";
    }

    public static String tableNoBorder(String trTexts) {
        return "<table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"width:60%\">" +
                "<tbody>" + trTexts +
                "</tbody>" +
                "</table>";
    }

    public static String tr(String tdTexts) {
        return "<tr>" + tdTexts + "</tr>";
    }

    public static String overstrikingTd(Integer colspan, Integer rowspan, String text) {
        return "<td colspan=\"" + colspan + "\" rowspan=\"" + rowspan + "\" style=\"text-align:center\">" +
                "<p style=\"text-align:center; font-weight:bold;\">" +
                "    <span style=\"font-size: 11pt; font-family: 宋体, SimSun;\">" + text + "</span>" +
                "</p>" +
                "</td>";
    }

    public static String td(Integer colspan, Integer rowspan, String text) {
        return "<td colspan=\"" + colspan + "\" rowspan=\"" + rowspan + "\" style=\"text-align:center\">" +
                "<p style=\"text-align:center;\">" +
                "    <span style=\"font-size: 11pt; font-family: 宋体, SimSun;\">" + text + "</span>" +
                "</p>" +
                "</td>";
    }

    public static String tdNoBorder(Integer colspan, Integer rowspan, String text) {
        return "<td colspan=\"" + colspan + "\" rowspan=\"" + rowspan + "\" style=\"text-align:center\">" +
                "<p style=\"border: 0; text-align:center;\">" +
                "    <span style=\"font-size: 12pt; font-family: 宋体, SimSun;\">" + text + "</span>" +
                "</p>" +
                "</td>";
    }

    /**
     * 图片
     * @param path 路径
     * @param width 宽
     * @param height 高
     * @return
     */
    public static String image(String path, Double width, Double height) {
        String widthStr = "";
        if (!Objects.isNull(width)) widthStr = "width:" + width + "in;";
        if (Objects.isNull(height)) height = 2.34375;
        return "<p style=\"text-align:center;\">" +
                "<img src=\"" + path + "\" style=\"" + widthStr + "height:" + height + "in;vertical-align:text-align：center;\" />" +
                "</p>";
    }
}
